# restic backup by Zabbix agent

## Overview

Get alerts when your restic backup have failed, or didn't finish on time. The default is in last 26 hours but can be changed via a MACRO.
 
Two MACROs are available:
* `{$BACKUP_STATUS_FILE}` which contain the full path of the status file. Default is `/home/backup/status.json`.
* `{$MAX_HOURS_BETWEEN}` which contain the maximum number of hours before it triggers an alert. Default is `26` hours (for backup running once a day, plus some time if it takes a bit longer than usual).


 This is using the status file generated by [resticprofile](https://github.com/creativeprojects/resticprofile/).
 
For more information, see the [README](https://github.com/creativeprojects/resticprofile/tree/master/contrib/zabbix).

## Macros used

|Name|Description|Default|Type|
|----|-----------|-------|----|
|{$BACKUP_STATUS_FILE}|<p>resticprofile status file</p>|`/home/backup/status.json`|Text macro|
|{$MAX_HOURS_BETWEEN}|<p>-</p>|`26`|Text macro|


## Template links

There are no template links in this template.

## Discovery rules

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|Profiles|<p>-</p>|`Dependent item`|backup.profiles<p>Update: 0</p>|


## Items collected

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|Status file|<p>-</p>|`Zabbix agent`|vfs.file.contents[{$BACKUP_STATUS_FILE}]<p>Update: 1h</p>|
|Backup profile {#PROFILENAME} / {#PROFILECOMMAND} error|<p>-</p>|`Dependent item`|backup.error[{#PROFILENAME}, {#PROFILECOMMAND}]<p>Update: 0</p><p>LLD</p>|
|Backup profile {#PROFILENAME} / {#PROFILECOMMAND} success|<p>-</p>|`Dependent item`|backup.success[{#PROFILENAME}, {#PROFILECOMMAND}]<p>Update: 0</p><p>LLD</p>|
|Backup profile {#PROFILENAME} / {#PROFILECOMMAND} time|<p>-</p>|`Dependent item`|backup.time[{#PROFILENAME}, {#PROFILECOMMAND}]<p>Update: 0</p><p>LLD</p>|


## Triggers

|Name|Description|Expression|Priority|
|----|-----------|----------|--------|
|Last {#PROFILENAME} / {#PROFILECOMMAND} failed|<p>-</p>|<p>**Expression**: last(/restic backup by Zabbix agent/backup.success[{#PROFILENAME}, {#PROFILECOMMAND}])=0</p><p>**Recovery expression**: </p>|high|
|Last {#PROFILENAME} / {#PROFILECOMMAND} did not run|<p>Last profile has not finished on time (or has not started): last run finished more than {$MAX_HOURS_BETWEEN} hour(s) ago</p>|<p>**Expression**: now()-last(/restic backup by Zabbix agent/backup.time[{#PROFILENAME}, {#PROFILECOMMAND}])>(26*3600)</p><p>**Recovery expression**: </p>|high|
|Last {#PROFILENAME} / {#PROFILECOMMAND} failed (LLD)|<p>-</p>|<p>**Expression**: last(/restic backup by Zabbix agent/backup.success[{#PROFILENAME}, {#PROFILECOMMAND}])=0</p><p>**Recovery expression**: </p>|high|
|Last {#PROFILENAME} / {#PROFILECOMMAND} did not run (LLD)|<p>Last profile has not finished on time (or has not started): last run finished more than {$MAX_HOURS_BETWEEN} hour(s) ago</p>|<p>**Expression**: now()-last(/restic backup by Zabbix agent/backup.time[{#PROFILENAME}, {#PROFILECOMMAND}])>(26*3600)</p><p>**Recovery expression**: </p>|high|


# restic backup by Zabbix agent active

## Overview

Get alerts when your restic backup have failed, or didn't finish on time. The default is in last 26 hours but can be changed via a MACRO.
 
Two MACROs are available:
* `{$BACKUP_STATUS_FILE}` which contain the full path of the status file. Default is `/home/backup/status.json`.
* `{$MAX_HOURS_BETWEEN}` which contain the maximum number of hours before it triggers an alert. Default is `26` hours (for backup running once a day, plus some time if it takes a bit longer than usual).


 This is using the status file generated by [resticprofile](https://github.com/creativeprojects/resticprofile/).
 
For more information, see the [README](https://github.com/creativeprojects/resticprofile/tree/master/contrib/zabbix).

## Overview

Get alerts when your restic backup have failed, or didn't finish on time. The default is in last 26 hours but can be changed via a MACRO.
 
Two MACROs are available:
* `{$BACKUP_STATUS_FILE}` which contain the full path of the status file. Default is `/home/backup/status.json`.
* `{$MAX_HOURS_BETWEEN}` which contain the maximum number of hours before it triggers an alert. Default is `26` hours (for backup running once a day, plus some time if it takes a bit longer than usual).


 This is using the status file generated by [resticprofile](https://github.com/creativeprojects/resticprofile/).
 
For more information, see the [README](https://github.com/creativeprojects/resticprofile/tree/master/contrib/zabbix).

## Macros used

|Name|Description|Default|Type|
|----|-----------|-------|----|
|{$BACKUP_STATUS_FILE}|<p>resticprofile status file</p>|`/home/backup/status.json`|Text macro|
|{$MAX_HOURS_BETWEEN}|<p>-</p>|`26`|Text macro|


## Template links

There are no template links in this template.

## Discovery rules

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|Profiles|<p>-</p>|`Dependent item`|backup.profiles<p>Update: 0</p>|


## Items collected

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|Status file|<p>-</p>|`Zabbix agent (active)`|vfs.file.contents[{$BACKUP_STATUS_FILE}]<p>Update: 1h</p>|
|Backup profile {#PROFILENAME} / {#PROFILECOMMAND} error|<p>-</p>|`Dependent item`|backup.error[{#PROFILENAME}, {#PROFILECOMMAND}]<p>Update: 0</p><p>LLD</p>|
|Backup profile {#PROFILENAME} / {#PROFILECOMMAND} success|<p>-</p>|`Dependent item`|backup.success[{#PROFILENAME}, {#PROFILECOMMAND}]<p>Update: 0</p><p>LLD</p>|
|Backup profile {#PROFILENAME} / {#PROFILECOMMAND} time|<p>-</p>|`Dependent item`|backup.time[{#PROFILENAME}, {#PROFILECOMMAND}]<p>Update: 0</p><p>LLD</p>|


## Triggers

|Name|Description|Expression|Priority|
|----|-----------|----------|--------|
|Last {#PROFILENAME} / {#PROFILECOMMAND} failed|<p>-</p>|<p>**Expression**: last(/restic backup by Zabbix agent active/backup.success[{#PROFILENAME}, {#PROFILECOMMAND}])=0</p><p>**Recovery expression**: </p>|high|
|Last {#PROFILENAME} / {#PROFILECOMMAND} did not run|<p>Last profile has not finished on time (or has not started): last run finished more than {$MAX_HOURS_BETWEEN} hour(s) ago</p>|<p>**Expression**: now()-last(/restic backup by Zabbix agent active/backup.time[{#PROFILENAME}, {#PROFILECOMMAND}])>(26*3600)</p><p>**Recovery expression**: </p>|high|
|Last {#PROFILENAME} / {#PROFILECOMMAND} failed (LLD)|<p>-</p>|<p>**Expression**: last(/restic backup by Zabbix agent active/backup.success[{#PROFILENAME}, {#PROFILECOMMAND}])=0</p><p>**Recovery expression**: </p>|high|
|Last {#PROFILENAME} / {#PROFILECOMMAND} did not run (LLD)|<p>Last profile has not finished on time (or has not started): last run finished more than {$MAX_HOURS_BETWEEN} hour(s) ago</p>|<p>**Expression**: now()-last(/restic backup by Zabbix agent active/backup.time[{#PROFILENAME}, {#PROFILECOMMAND}])>(26*3600)</p><p>**Recovery expression**: </p>|high|
