# Exchange 2016

## Overview

Converted the Exchange 2010 Performance Monitoring Templates. Removed unsupported items and replaced them with equivalents that could be found. Added some new items and graphs.



## Author

matt snead

## Macros used

There are no macros links in this template.

## Template links

There are no template links in this template.

## Discovery rules

There are no discovery rules in this template.

## Items collected

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|Exchange Transport Q - Mailbox Delivery Q|<p>This monitor shows the number of messages in the active mailbox queues. The returned value should be less than 250 at all times</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport Queues(_total)\Active Mailbox Delivery Queue Length"]<p>Update: 30s</p>|
|ExchangeIS Client Type\RPC Requests|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Client Type(*)\RPC Requests"]<p>Update: 30s</p>|
|Exchange OWA User Count|<p>Shows the number of users connected to the information store. Used to determine current user load. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeIS User Count"]</p>|`Zabbix agent`|perf_counter["\MSExchange OWA\Current Users"]<p>Update: 30</p>|
|Exchange Transport Database ==> Instances(edgetransport/Transport Mail Database) I/O Database Writes/sec|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange Database ==> Instances(edgetransport/Transport Mail Database)\I/O Database Writes/sec"]<p>Update: 30s</p>|
|Exchange Outlook (MapiHttp) User Count|<p>Shows the number of users connected to the information store. Used to determine current user load. MODIFIED_FOR_EX2016-NEW</p>|`Zabbix agent`|perf_counter["\MSExchange MapiHttp Emsmdb\Active User Count"]<p>Update: 30</p>|
|Exchange Mailbox Store Interface(*) RPC Requests Outstanding|<p>Shows the total number of outstanding RPC requests. Used for determining current load.</p>|`Zabbix agent`|perf_counter["\MSExchange Store Interface(*)\RPC Requests Outstanding"]<p>Update: 30</p>|
|ExchangeSearch Indexes(*)\Items Processed/sec|<p>Shows the average, in ms, of how long it takes to index documents. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchange Search Indices(*) Average Document Indexing Time"]</p>|`Zabbix agent`|perf_counter["\MSExchange Search Indexes(*)\Items Processed/sec"]<p>Update: 30</p>|
|Exchange Mailbox Database I/O Log Reads Average Latency|<p>Indicates the average time, in ms, to read data from a log file. Specific to log replay and database recovery operations. The average value should be below 200 ms. Spikes (maximum values) shouldn't be higher than 1,000 ms.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(*)\I/O Log Reads Average Latency"]<p>Update: 30</p>|
|Exchange RpcClientAccess\RPC Averaged Latency|<p>Shows the average latency, in ms, of the most recent RPCs to the Information Store service. These RPCs are used to get content for the filter daemon for the specified database. Should coincide with the latencies that Outlook clients are experiencing. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchange Search Indices(*) Average Latency of RPCs Used to Obtain Content"]</p>|`Zabbix agent`|perf_counter["\MSExchange RpcClientAccess\RPC Averaged Latency"]<p>Update: 30</p>|
|Exchange Mailbox Database I/O Database Reads (Recovery) Average Latency|<p>Indicates the average time, in ms, to read from the database file. The average value should be below 200 ms. Spikes (maximum values) shouldn't be higher than 1,000 ms.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(*)\I/O Database Reads (Recovery) Average Latency"]<p>Update: 30</p>|
|ExchangeIS Client Type(*)\RPC Average Latency|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Client Type(*)\RPC Average Latency"]<p>Update: 30s</p>|
|Exchange Transport SmtpReceive(_total) Messages Received/sec|<p>Shows the number of messages received by the SMTP server each second. Determines current load. Compare values to historical baselines.</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport SmtpReceive(_total)\Messages Received/sec"]<p>Update: 30s</p>|
|Exchange Transport Q - Msgs Queued for Delivery/sec|<p>Shows the number of messages queued for delivery per second. Determines current load. Compare values to historical baselines.</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport Queues(_total)\Messages Queued for Delivery Per Second"]<p>Update: 30s</p>|
|Exchange Mailbox Calendar Attendant Average Calendar Attendant Processing Time|<p>Shows the average time to process an event in the Calendar Attendant. Should be a low value at all times. High values may indicate a performance bottleneck.</p>|`Zabbix agent`|perf_counter["\MSExchange Calendar Attendant\Average Calendar Attendant Processing Time",30]<p>Update: 30</p>|
|Exchange Mailbox Resource Booking  Average Resource Booking Processing Time|<p>Shows the average time to process an event in the Resource Booking Attendant. Should be a low value at all times. High values may indicate a performance bottleneck.</p>|`Zabbix agent`|perf_counter["\MSExchange Resource Booking\Average Resource Booking Processing Time"]<p>Update: 30</p>|
|Exchange Mailbox Database I/O Log Writes Average Latency|<p>Indicates the average time, in ms, to write a log buffer to the active log file. This counter should be 10 on production servers. If this counter is greater than 10, it's an indication that the MSExchange Database I/O Database Writes (Attached) Average Latency is too high.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(*)\I/O Log Writes Average Latency"]<p>Update: 30</p>|
|Exchange Mailbox IS Client(*) Directory Access: LDAP Searches/sec|<p>Shows the current rate that LDAP searches occur while processing requests for the client. Used to determine the current LDAP search rate per protocol. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeIS Client(*) Directory Access: LDAP Searches/sec"]</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Client Type(*)\Directory Access: LDAP Searches/sec"]<p>Update: 30</p>|
|Exchange ADAccess Domain Controllers(*)\LDAP Read Calls/sec|<p>Shows the current rate that LDAP reads occur while processing requests for the client. Used to determine the current LDAP read rate per protocol. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeIS Client(*) Directory Access: LDAP Reads/sec"]</p>|`Zabbix agent`|perf_counter["\MSExchange ADAccess Domain Controllers(*)\LDAP Read Calls/sec"]<p>Update: 30</p>|
|Exchange RpcClientAccess\RPC Requests|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange RpcClientAccess\RPC Requests"]<p>Update: 30s</p>|
|Exchange Mailbox Database I/O Database Writes (Attached) Average Latency|<p>Indicates the average time, in ms, to write to the database file. This counter isn't a good indicator for client latency because database writes are asynchronous. In general, this latency should be less than the MSExchange Database I/O Database Reads (Attached) Average Latency when battery-backed write caching is utilized.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(*)\I/O Database Writes (Attached) Average Latency"]<p>Update: 30</p>|
|Exchange Transport Database ==> Instances(edgetransport/Transport Mail Database) I/O Database Reads/sec|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange Database ==> Instances(edgetransport/Transport Mail Database)\I/O Database Reads/sec"]<p>Update: 30s</p>|
|Exchange Mailbox Process(MSExchangeMailboxAssistants) % Processor Time|<p>Shows the amount of processor time being consumed by mailbox assistants. Should be less than 5% of overall CPU capacity.</p>|`Zabbix agent`|perf_counter["\Process(MSExchangeMailboxAssistants)\% Processor Time"]<p>Update: 30</p>|
|Exchange RpcClientAccess Active User Count|<p>Shows the number of users connected to the information store. Used to determine current user load. MODIFIED_FOR_EX2016-NEW</p>|`Zabbix agent`|perf_counter["\MSExchange RpcClientAccess\Active User Count"]<p>Update: 30</p>|
|Exchange Transport Database ==> Instances(edgetransport/Transport Mail Database) I/O Log Writes/sec|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange Database ==> Instances(edgetransport/Transport Mail Database)\I/O Log Writes/sec"]<p>Update: 30s</p>|
|Exchange Transport Database ==> Instances(edgetransport/Transport Mail Database) I/O Log Reads/sec|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange Database ==> Instances(edgetransport/Transport Mail Database)\I/O Log Reads/sec"]<p>Update: 30s</p>|
|Exchange RPC/HTTP Proxy\Current Number of Unique Users|<p>Shows the number of unique users currently connected to a back-end server via RPC/HTTP</p>|`Zabbix agent`|perf_counter["\RPC/HTTP Proxy\Current Number of Unique Users"]<p>Update: 30</p>|
|Exchange RpcClientAccess Connection Count|<p>Shows the total number of client connections maintained</p>|`Zabbix agent`|perf_counter["\MSExchange RpcClientAccess\Connection Count"]<p>Update: 30</p>|
|Exchange Mailbox Database I/O Database Reads (Attached) Average Latency|<p>Indicates the average time, in milliseconds (ms), to read from the database file. The average value should be below 20 ms. Spikes (maximum values) shouldn't be higher than 100 ms.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(*)\I/O Database Reads (Attached) Average Latency"]<p>Update: 30</p>|
|Exchange Mailbox Store Interface(*) ROP Requests outstanding|<p>Shows the total number of outstanding remote operations requests. Used for determining current load.</p>|`Zabbix agent`|perf_counter["\MSExchange Store Interface(*)\ROP Requests outstanding"]<p>Update: 30</p>|
|Exchange Submission Successful Submissions Per Second|<p>Determines current mail submission rate. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchange Mail Submission(*) Successful Submissions Per Second"]</p>|`Zabbix agent`|perf_counter["\MSExchange Submission\Successful Submissions Per Second"]<p>Update: 30</p>|
|Exchange Mailbox Database (Information Store) Version buckets allocated|<p>Shows the total number of version buckets allocated. Should be less than 12,000 at all times. The maximum default version is 16,384. If version buckets reach 70% of maximum, the server is at risk of running out of the version store.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(Information Store)\Version buckets allocated"]<p>Update: 30</p>|
|ExchangeIS Store(*)\RPC Average Latency|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Store(*)\RPC Average Latency"]<p>Update: 30s</p>|
|Exchange ActiveSync\Current Requests|<p>Shows the number of HTTP requests waiting to be assigned to a thread</p>|`Zabbix agent`|perf_counter["\MSExchange ActiveSync\Current Requests"]<p>Update: 30</p>|
|Exchange Mailbox Store Interface(_Total) RPC Requests outstanding|<p>Shows the current number of outstanding RPC requests. Should be 0 at all times.</p>|`Zabbix agent`|perf_counter["\MSExchange Store Interface(_Total)\RPC Requests outstanding"]<p>Update: 30</p>|
|Exchange Mailbox Database (Information Store) Database Page Fault Stalls/sec|<p>Shows the rate that database file page requests require of the database cache manager to allocate a new page from the database cache. If this value is nonzero, this indicates that the database isn't able to flush dirty pages to the database file fast enough to make pages free for new page allocations.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(Information Store)\Database Page Fault Stalls/sec"]<p>Update: 30</p>|
|Exchange Mailbox Replication(*) ReplayQueueLength|<p>Shows the number of transaction log files waiting to be replayed into the passive copy. Indicates the current replay queue length. Higher values cause longer store mount times when a handoff, failover, or activation is performed.</p>|`Zabbix agent`|perf_counter["\MSExchange Replication(*)\ReplayQueueLength"]<p>Update: 30</p>|
|Exchange Mailbox IS Client(*) JET Log Records/sec|<p>Shows the rate that database log records are generated while processing requests for the client. Used to determine current load.</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Client Type(*)\Jet Log Records/sec"]<p>Update: 30</p>|
|Exchange ADAccess Domain Controllers(*)\LDAP Search Time|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange ADAccess Domain Controllers(*)\LDAP Search Time"]<p>Update: 30s</p>|
|Exchange Transport Q - Msgs Submitted/sec|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport Queues(_total)\Messages Submitted Per Second"]<p>Update: 30s</p>|
|Exchange Middle-Tier Storage(*)\Items Dumpster Deletions/sec|<p>Shows the rate at which items are deleted from the transport dumpster on this server. Determines the current rate of transport dumpster deletions. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeTransport Dumpster Dumpster Deletes/sec"]</p>|`Zabbix agent`|perf_counter["\MSExchange Middle-Tier Storage(*)\Items Dumpster Deletions/sec"]<p>Update: 30s</p>|
|Exchange Mailbox IS Client(*) RPC Operations/sec|<p>Shows what client protocol is performing an excessive amount of RPC Operations/sec. High IMAP4, POP3, or Outlook Anywhere latency can indicate problems with Client Access servers rather than Mailbox servers. This is especially true when other clients (which includes MAPI) latency is lower in comparison. In some instances, high IMAP latencies could indicate a bottleneck on the Mailbox server in addition to the latencies that the Client Access server is experiencing.</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Client Type(*)\RPC Operations/sec"]<p>Update: 30</p>|
|Exchange ADAccess Processes(*)\LDAP Search Time|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange ADAccess Processes(*)\LDAP Search Time"]<p>Update: 30s</p>|
|Exchange Mailbox IS RPC Operations/sec|<p>Indicates the current number of RPC operations occurring per second. Should closely correspond to historical baselines. Values much higher than expected indicate that the workload has changed, while values much lower than expected indicate a bottleneck preventing client requests from reaching the server. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeIS RPC Operations/sec"]</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Store(*)\RPC Operations/sec"]<p>Update: 30</p>|
|Exchange Search Indexes(*)\Crawler: Mailboxes Remaining|<p>This counter is used to determine if a full crawl is occurring for any specified database. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchange Search Indices(*) Full Crawl Mode Status"] If CPU resources are high, it's possible content indexing is occurring for a database or set of databases.</p>|`Zabbix agent`|perf_counter["\MSExchange Search Indexes(*)\Crawler: Mailboxes Remaining"]<p>Update: 30</p>|
|Exchange Mailbox Database (Information Store) Database Cache % Hit|<p>Shows the percentage of database file page requests fulfilled by the database cache without causing a file operation. If this percentage is too low, the database cache size may be too small. Should be over 90% for companies with majority online mode clients. Should be over 99% for companies with majority cached mode clients. If the hit ratio is less than these numbers, the database cache may be insufficient.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(Information Store)\Database Cache % Hit"]<p>Update: 30</p>|
|Exchange Mailbox Database I/O Database Writes (Recovery) Average Latency|<p>Indicates the average time, in ms, to write to the database file. In general, this latency should be less than the MSExchange Database I/O Database Reads (Recovery) Average Latency when battery-backed write caching is utilized.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(*)\I/O Database Writes (Recovery) Average Latency"]<p>Update: 30</p>|
|Exchange Mailbox IS Mailbox(*) Search Rate|<p>Shows the number of search tasks created per second. Should be less than 10 at all times. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeIS Mailbox(*) Search Task Rate"]</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Store(*)\Search/sec"]<p>Update: 30</p>|
|Exchange Transport SmtpSend(_total) Messages Sent/sec|<p>Shows the number of messages sent by the SMTP send connector each second. Determines current load. Compare values to historical baselines.</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport SmtpSend(_total)\Messages Sent/sec"]<p>Update: 30s</p>|
|Exchange Transport Q - Submission Q|<p>This monitor shows the number of messages in the submission queue. The returned value should not exceed 100. If sustained high values are occurring, investigate Active Directory and Mailbox servers for bottlenecks or performance-related issues. MODIFIED_FOR_EX2016-NEW</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport Queues(_total)\Submission Queue Length"]<p>Update: 30s</p>|
|Exchange Middle-Tier Storage(*)\Items Moved to Dumpster/sec|<p>Shows the rate at which items are inserted into the transport dumpster on this server. Determines the current rate of transport dumpster inserts. MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeTransport Dumpster Dumpster Inserts/sec"]</p>|`Zabbix agent`|perf_counter["\MSExchange Middle-Tier Storage(*)\Items Moved to Dumpster/sec."]<p>Update: 30s</p>|
|Exchange Transport Database ==> Instances(edgetransport/Transport Mail Database) Log Generation Checkpoint Depth|<p>Represents the amount of work (in count of log files) that needs to be redone or undone to the database files if the process fails.</p>|`Zabbix agent`|perf_counter["\MSExchange Database ==> Instances(edgetransport/Transport Mail Database)\Log Generation Checkpoint Depth"]<p>Update: 30s</p>|
|Exchange Transport Q - Msgs Queued For Delivery|<p>MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeTransport Queues(_total) Aggregate Delivery Queue Length (All Queues)"]</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport Queues(_total)\Messages Queued For Delivery"]<p>Update: 30s</p>|
|Exchange Mailbox Database ==> Instances(*) Log Generation Checkpoint Depth|<p>Represents the amount of work in the log file count that needs to be redone or undone to the database files if the process fails. Should be below 500 at all times for the Mailbox server role. A healthy server should indicate between 20 and 30 for each database instance. If checkpoint depth increases continually for a sustained period, this indicates either a long-running transaction, (which will impact the version store), or a bottleneck involving the database disks.</p>|`Zabbix agent`|perf_counter["\MSExchange Database ==> Instances(*)\Log Generation Checkpoint Depth"]<p>Update: 30</p>|
|Exchange Mailbox IS Client(*) JET Pages Read/sec|<p>Shows the rate that database pages are read from disk while processing requests for the client. Used to determine current load.</p>|`Zabbix agent`|perf_counter["\MSExchangeIS Client Type(*)\Jet Pages Read/sec"]<p>Update: 30</p>|
|Exchange ADAccess Processes(*)\LDAP Read Time|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange ADAccess Processes(*)\LDAP Read Time"]<p>Update: 30s</p>|
|Exchange Mailbox Database (Information Store) Database Cache Size (GB)|<p>Shows the amount of system memory, in megabytes (MB), used by the database cache manager to hold commonly used information from the database files to prevent file operations. Maximum value is RAM-2GB (RAM-3GB for servers with sync replication enabled). This and Database Cache Hit % are useful counters for gauging whether a server's performance problems might be resolved by adding more physical memory. Use this counter along with store private bytes to determine if there are store memory leaks. If the database cache size seems too small for optimal performance and there is little available memory on the system (check the value of Memory/Available Bytes), adding more memory to the system may increase performance. If there is ample memory on the system and the database cache size isn't growing beyond a certain point, the database cache size may be capped at an artificially low limit. Increasing this limit may increase performance.</p>|`Zabbix agent`|perf_counter["\MSExchange Database(Information Store)\Database Cache Size (MB)"]<p>Update: 30</p>|
|Exchange Transport Q - Msgs Completed Delivery/sec|<p>Shows the number of messages delivered per second. Determines current load. Compare values to historical baselines.</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport Queues(_total)\Messages Completed Delivery Per Second"]<p>Update: 30s</p>|
|Exchange Mailbox Store Interface(*) RPC Slow Requests latency average (msec)|<p>Shows the average latency, in ms, of slow requests. Used for determining the average latencies of RPC slow requests.</p>|`Zabbix agent`|perf_counter["\MSExchange Store Interface(*)\RPC Slow Requests latency average (msec)"]<p>Update: 30</p>|
|Exchange ADAccess Domain Controllers(*)\LDAP Read Time|<p>-</p>|`Zabbix agent`|perf_counter["\MSExchange ADAccess Domain Controllers(*)\LDAP Read Time"]<p>Update: 30s</p>|
|Exchange Mailbox Replication(*) CopyQueueLength|<p>Shows the number of transaction log files waiting to be copied to the passive copy log file folder. A copy isn't considered complete until it has been checked for corruption. Should be less than 1 at all times for continuous replication.</p>|`Zabbix agent`|perf_counter["\MSExchange Replication(*)\CopyQueueLength"]<p>Update: 30</p>|
|Exchange Transport Q - Remote Delivery Q|<p>MODIFIED_FOR_EX2016-WAS:perf_counter[" MSExchangeTransport Queues(_total) Active Remote Delivery Queue Length"]</p>|`Zabbix agent`|perf_counter["\MSExchangeTransport Queues(_total)\External Active Remote Delivery Queue Length"]<p>Update: 30s</p>|


## Triggers

There are no triggers in this template.

