# SNMP HP Server Health

## Macros used

There are no macros links in this template.

## Template links

There are no template links in this template.

## Discovery rules

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|Drive Array Spare Controller discovery|<p>Drive Array Spare Controller Index. This index maps the spare drive back to the controller to which it is attached. The value of this index is the same as the one used under the controller group.</p>|`SNMP agent`|cpqDaSpareCntlrIndex-[{#SNMPVALUE}]<p>Update: 1h</p>|
|Temp discovery|<p>A number that uniquely specifies this temperature sensor description.</p>|`SNMP agent`|cpqHeTemperatureIndex[{#SNMPVALUE}]<p>Update: 1h</p>|
|Physical Drive discovery|<p>Drive Array Physical Drive Index. This index is used for selecting the physical drive table entry. This number, along with the cpqDaPhyDrvCntlrIndex uniquely identify a specific physical drive.</p>|`SNMP agent`|cpqDaPhyDrvIndex-[{#SNMPVALUE}]<p>Update: 1h</p>|
|RAID Controller|<p>Array Controller Index. This value is a logical number whose meaning is OS dependent. Each physical controller has one unique controller number associated with it.</p>|`SNMP agent`|cpqDaCntlrIndex-[{#SNMPVALUE}]<p>Update: 1h</p>|
|Power Supply Bay|<p>The bay number to index within this chassis.</p>|`SNMP agent`|cpqHeFltTolPowerSupplyBay-[{#SNMPVALUE}]<p>Update: 1h</p>|
|Fan discovery|<p>A number that uniquely specifies this fan description.</p>|`SNMP agent`|cpqHeFltTolFanIndex[{#SNMPVALUE}]<p>Update: 1h</p>|
|Logical Drive discovery|<p>Drive Array Logical Drive Index. This logical drive number keeps track of multiple instances of logical drives which are on the same controller. For each controller index value, the logical drive index starts at 1 and increments for each logical drive.</p>|`SNMP agent`|cpqDaLogDrvIndex-[{#SNMPVALUE}]<p>Update: 1h</p>|
|Array Accelerator Board Controller|<p>Array Accelerator Board Controller Index. This value is a logical number whose meaning is OS dependent. The value has a direct mapping to the controller table index such that controller 'i' has accelerator table entry 'i'.</p>|`SNMP agent`|cpqDaAccelCntlrIndex-[{#SNMPVALUE}]<p>Update: 1h</p>|


## Items collected

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|Automatic Server Recovery status|<p>The Automatic Server Recovery feature status. If this object is currently other(1) or notAvailable(2) all set operations will fail. Any attempt to set this object to other(1) or notAvailable(2) by a management station will fail. Setting this object to disabled(3) or enabled(4) will disable or enable the ASR feature. Setting this object to disabled(3) will disable the following objects: cpqHeAsrPagerStatus cpqHeAsrDialInStatus cpqHeAsrDialOutStatus</p>|`SNMP agent`|cpqHeAsrStatus<p>Update: 60s</p>|
|CPU Fan Status|<p>The status of the processor fan(s) in the system. This value will be one of the following: other(1) Fan status detection is not supported by this system or driver. ok(2) All fans are operating properly. failed(4) A fan is not operating properly. The system will be shutdown if the failed(4) condition occurs.</p>|`SNMP agent`|cpqHeThermalCPUFanStatus<p>Update: 60s</p>|
|Global System Health|<p>The overall condition. This object represents the overall status of the server health system represented by this MIB.</p>|`SNMP agent`|cpqHeMibCondition<p>Update: 60s</p>|
|Overall Thermal condition|<p>This value specifies the overall condition of the system's thermal environment.</p>|`SNMP agent`|cpqHeThermalCondition<p>Update: 60s</p>|
|Global Storage Health|<p>The overall condition (status) of the system represented by this MIB.</p>|`SNMP agent`|cpqDaMibCondition<p>Update: 60s</p>|
|Total Memory Size|<p>This value specifies the total size of memory including memory seen by the Operating System and the memory used for spare, mirrored, or RAID configurations in MB (1 MB = 1048576 bytes). If this system does not support Advanced Memory Protection or this value cannot be determined, then a value of 0 will be returned.</p>|`SNMP agent`|cpqHeResilientMemTotalMemSize<p>Update: 1h</p>|
|Temp Status|<p>The status of the system's temperature sensors: This value will be one of the following: other(1) Temp sensing is not supported by this system or driver. ok(2) All temp sensors are within normal operating range. degraded(3) A temp sensor is outside of normal operating range. failed(4) A temp sensor detects a condition that could permanently damage the system. The system will automatically shutdown if the failed(4) condition results, so it is unlikely that this value will ever be returned by the agent. If the cpqHeThermalDegradedAction is set to shutdown(3) the system will be shutdown if the degraded(3) condition occurs.</p>|`SNMP agent`|cpqHeThermalSystemTempStatus<p>Update: 60s</p>|
|Event Log Condition|<p>This value specifies the overall condition of the Integrated Management Log feature.</p>|`SNMP agent`|cpqHeEventLogCondition<p>Update: 60s</p>|
|Power supply condition|<p>This value specifies the overall condition of the fault tolerant power supply sub-system.</p>|`SNMP agent`|cpqHeFltTolPwrSupplyCondition<p>Update: 60s</p>|
|Advanced Memory Protection type|<p>This value specifies the type of Advanced Memory Protection fault tolerance currently active on the system. The following connection states are supported: other(1) The Advanced Memory Protection fault tolerance cannot be determined by the Management Agent. You may need to upgrade your software. none(2) This system is not configured for Advanced Memory Protection fault tolerance or Advanced Memory Protection is not available on this system. onLineSpare(3) This system is configured for Online Spare Advanced Memory Protection. mirrored(4) This system is configured for Mirrored Advanced Memory Protection. advancedECC(5) This system is configured for the Advanced ECC type of Advanced Memory Protection. mirroredSingleBoard(6) This system is configured for Mirrored Advanced Memory Protection within a single memory board. mirroredDualBoard(7) This system is configured for Mirrored Advanced Memory Protection within a dual memory board configuration. The mirrored memory may be swapped with memory on the same memory board or with memory on the second memory board. xor(8) This system is configured for Advanced Memory Protection using the XOR engine. lockStep(9) This system is configured for LockStep type of Advanced Memory Protection. onLineSpareChannel(10) This system is configured for Online Spare Channel Advanced Memory Protection. onLineSpareRank(11) This system is configured for Online Spare Rank Advanced Memory Protection. mirroringIntrasocket(12) This system is configured for Mirrored Intrasocket Advanced Memory Protection between memory of single processor or board. mirroringIntersocket(13) This system is configured for Mirrored Intersocket Advanced Memory Protection between memory of two processors or boards.</p>|`SNMP agent`|cpqHeResilientMemTypeActive<p>Update: 60</p>|
|Automatic Server Recovery condition|<p>This value specifies the overall condition of the ASR feature.</p>|`SNMP agent`|cpqHeAsrCondition<p>Update: 60</p>|
|Memory Status|<p>This value specifies the current condition of the Advanced Memory Protection subsystem. The following states are supported: other(1) The system does not support fault tolerant memory or the state cannot be determined by the Management Agent. ok(2) This system is operating normally. degraded(3) The system is running in a degraded state because the Advanced Memory Protection subsystem has been engaged.</p>|`SNMP agent`|cpqHeResilientMemCondition<p>Update: 60s</p>|
|System Fan Status|<p>The status of the fan(s) in the system. This value will be one of the following: other(1) Fan status detection is not supported by this system or driver. ok(2) All fans are operating properly. degraded(3) A non-required fan is not operating properly. failed(4) A required fan is not operating properly. If the cpqHeThermalDegradedAction is set to shutdown(3) the system will be shutdown if the failed(4) condition occurs.</p>|`SNMP agent`|cpqHeThermalSystemFanStatus<p>Update: 60s</p>|
|Drive Array Spare Controller $1 condition|<p>The Spare Drive condition. This value represents the overall condition of this spare drive and any associated physical drives.</p>|`SNMP agent`|cpqDaSpareCondition[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Temperature $1 celsius|<p>This is the current temperature sensor reading in degrees celsius. If this value cannot be determined by software, then a value of -99 will be returned.</p>|`SNMP agent`|cpqHeTemperatureCelsius[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Temperature $1 condition|<p>The Temperature sensor condition. This value will be one of the following: other(1) Temperature could not be determined. ok(2) The temperature sensor is within normal operating range. degraded(3) The temperature sensor is outside of normal operating range. failed(4) The temperature sensor detects a condition that could permanently damage the system. The system will automatically shutdown if the failed(4) condition results, so it is unlikely that this value will ever be returned by the agent. If the cpqHeThermalDegradedAction is set to shutdown(3) the system will be shutdown if the degraded(3) condition occurs.</p>|`SNMP agent`|cpqHeTemperatureCondition[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Temperature $1 location|<p>This specifies the location of the temperature sensor present in the system.</p>|`SNMP agent`|cpqHeTemperatureLocale[{#SNMPVALUE}]<p>Update: 1h</p><p>LLD</p>|
|Physical Drive $1 Condition|<p>The condition of the device. This value represents the overall condition of this physical drive.</p>|`SNMP agent`|cpqDaPhyDrvCondition[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|RAID Controller $1 Condition|<p>The condition of the device. This value represents the overall condition of this controller, and any associated logical drives, physical drives, and array accelerators.</p>|`SNMP agent`|cpqDaCntlrCondition[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Power Supply $1 Max Watts|<p>The maximum capacity of the power supply in watts.</p>|`SNMP agent`|cpqHeFltTolPowerSupplyCapacityMaximum[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Power Supply $1 Capacity Usage|<p>-</p>|`Calculated`|cpqHeFltTolPowerSupplyCapacityUsedPerc[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Power Supply $1 Used Watts|<p>The currently used capacity of the power supply in watts.</p>|`SNMP agent`|cpqHeFltTolPowerSupplyCapacityUsed[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Power Supply $1 Condition|<p>The condition of the power supply. This value will be one of the following: other(1) The status could not be determined or not present. ok(2) The power supply is operating normally. degraded(3) A temperature sensor, fan or other power supply component is outside of normal operating range. failed(4) A power supply component detects a condition that could permanently damage the system.</p>|`SNMP agent`|cpqHeFltTolPowerSupplyCondition[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Power Supply $1 Voltage|<p>The input main voltage of the power supply in volts.</p>|`SNMP agent`|cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Power Supply $1 Presence|<p>Indicates whether the power supply is present in the chassis.</p>|`SNMP agent`|cpqHeFltTolPowerSupplyPresent[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Power Supply $1 Redundancy|<p>The redundancy state of the power supply. This value will be one of the following: other(1) The redundancy state could not be determined. notRedundant(2) The power supply is not operating in a redundant state. redundant(3) The power supply is operating in a redundant state.</p>|`SNMP agent`|cpqHeFltTolPowerSupplyRedundant[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Power Supply $1 Status|<p>The status of the power supply.</p>|`SNMP agent`|cpqHeFltTolPowerSupplyStatus[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|FAN $1 condition|<p>The condition of the fan. This value will be one of the following: other(1) Fan status detection is not supported by this system or driver. ok(2) The fan is operating properly. degraded(3) A redundant fan is not operating properly. failed(4) A non-redundant fan is not operating properly.</p>|`SNMP agent`|cpqHeFltTolFanCondition[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|FAN $1 location|<p>This specifies the location of the fan in the system.</p>|`SNMP agent`|cpqHeFltTolFanLocale[{#SNMPVALUE}]<p>Update: 1h</p><p>LLD</p>|
|FAN $1 present|<p>-</p>|`SNMP agent`|cpqHeFltTolFanPresent[{#SNMPVALUE}]<p>Update: 1h</p><p>LLD</p>|
|FAN $1 redundant|<p>This specifies if the fan is in a redundant configuration.</p>|`SNMP agent`|cpqHeFltTolFanRedundant[{#SNMPVALUE}]<p>Update: 1h</p><p>LLD</p>|
|Logical Drive $1 condition|<p>The Logical Drive condition. This value represents the overall condition of this logical drive and any associated physical drives.</p>|`SNMP agent`|cpqDaLogDrvCondition[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|
|Array Accelerator Board Controller $1 Status|<p>The condition of the device. This value represents the overall condition of this array accelerator.</p>|`SNMP agent`|cpqDaAccelCondition[{#SNMPVALUE}]<p>Update: 60s</p><p>LLD</p>|


## Triggers

|Name|Description|Expression|Priority|
|----|-----------|----------|--------|
|Array Accelerator Board Controller [{#SNMPVALUE}] need check (Other)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaAccelCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: </p>|warning|
|Array Accelerator Board Controller [{#SNMPVALUE}] not OK|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaAccelCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: </p>|high|
|RAID Controller [{#SNMPVALUE}] need  check (Other)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaCntlrCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: {SNMP HP Server Health:cpqDaCntlrCondition[{#SNMPVALUE}].last()}=2</p>|warning|
|RAID Controller  [{#SNMPVALUE}] not OK|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaCntlrCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: {SNMP HP Server Health:cpqDaCntlrCondition[{#SNMPVALUE}].last()}=2</p>|high|
|Check Logical Drive [{#SNMPVALUE}] on {HOST.NAME} status (Other)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaLogDrvCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: </p>|warning|
|Logical Drive [{#SNMPVALUE}] on {HOST.NAME} Failure|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaLogDrvCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: </p>|high|
|Physical drive [{#SNMPVALUE}] need check (Other)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaPhyDrvCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: </p>|warning|
|Physical drive [{#SNMPVALUE}] not OK|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaPhyDrvCondition[{#SNMPVALUE}].last()}<>2</p><p>**Recovery expression**: </p>|high|
|Drive Array Spare Controller [{#SNMPVALUE}] on {HOST.NAME} Failure|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaSpareCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: </p>|high|
|Drive Array Spare Controller [{#SNMPVALUE}] on {HOST.NAME} status (Other)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaSpareCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: </p>|warning|
|Fan $1 condition on {HOST.NAME} not in OK status|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolFanCondition[{#SNMPVALUE}].last()}<>2</p><p>**Recovery expression**: </p>|high|
|Fan $1 on {HOST.NAME} not redundant|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolFanRedundant[{#SNMPVALUE}].last()}<>3</p><p>**Recovery expression**: </p>|average|
|Power Supply Status [{#SNMPVALUE}] is not OK|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyStatus[{#SNMPVALUE}].last()}<>1</p><p>**Recovery expression**: </p>|high|
|Power Supply [{#SNMPVALUE}] has no redundancy.|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyRedundant[{#SNMPVALUE}].last()}=2</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyRedundant[{#SNMPVALUE}].last()}=3</p>|high|
|Power Supply [{#SNMPVALUE}] high input voltage|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}>240</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}>220 and {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}<240</p>|warning|
|Power Supply [{#SNMPVALUE}] High Usage|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyCapacityUsedPerc[{#SNMPVALUE}].avg(15m)}>75</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyCapacityUsedPerc[{#SNMPVALUE}].avg(15m)}<75</p>|warning|
|Power Supply [{#SNMPVALUE}] is not OK|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyCondition[{#SNMPVALUE}].last()}=2</p>|high|
|Power Supply [{#SNMPVALUE}] low input voltage|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}<210</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}>210 and {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}<240</p>|warning|
|Temperature $1 condition on {HOST.NAME} not in OK status|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeTemperatureCondition[{#SNMPVALUE}].last()}<>2</p><p>**Recovery expression**: </p>|high|
|Drive Array Spare Controller [{#SNMPVALUE}] on {HOST.NAME} Failure (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaSpareCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: </p>|high|
|Drive Array Spare Controller [{#SNMPVALUE}] on {HOST.NAME} status (Other) (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaSpareCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: </p>|warning|
|Temperature $1 condition on {HOST.NAME} not in OK status (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeTemperatureCondition[{#SNMPVALUE}].last()}<>2</p><p>**Recovery expression**: </p>|high|
|Physical drive [{#SNMPVALUE}] need check (Other) (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaPhyDrvCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: </p>|warning|
|Physical drive [{#SNMPVALUE}] not OK (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaPhyDrvCondition[{#SNMPVALUE}].last()}<>2</p><p>**Recovery expression**: </p>|high|
|RAID Controller [{#SNMPVALUE}] need  check (Other) (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaCntlrCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: {SNMP HP Server Health:cpqDaCntlrCondition[{#SNMPVALUE}].last()}=2</p>|warning|
|RAID Controller  [{#SNMPVALUE}] not OK (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaCntlrCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: {SNMP HP Server Health:cpqDaCntlrCondition[{#SNMPVALUE}].last()}=2</p>|high|
|Power Supply Status [{#SNMPVALUE}] is not OK (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyStatus[{#SNMPVALUE}].last()}<>1</p><p>**Recovery expression**: </p>|high|
|Power Supply [{#SNMPVALUE}] has no redundancy. (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyRedundant[{#SNMPVALUE}].last()}=2</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyRedundant[{#SNMPVALUE}].last()}=3</p>|high|
|Power Supply [{#SNMPVALUE}] high input voltage (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}>240</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}>220 and {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}<240</p>|warning|
|Power Supply [{#SNMPVALUE}] High Usage (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyCapacityUsedPerc[{#SNMPVALUE}].avg(15m)}>75</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyCapacityUsedPerc[{#SNMPVALUE}].avg(15m)}<75</p>|warning|
|Power Supply [{#SNMPVALUE}] is not OK (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyCondition[{#SNMPVALUE}].last()}=2</p>|high|
|Power Supply [{#SNMPVALUE}] low input voltage (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}<210</p><p>**Recovery expression**: {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}>210 and {SNMP HP Server Health:cpqHeFltTolPowerSupplyMainVoltage[{#SNMPVALUE}].last()}<240</p>|warning|
|Fan $1 condition on {HOST.NAME} not in OK status (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolFanCondition[{#SNMPVALUE}].last()}<>2</p><p>**Recovery expression**: </p>|high|
|Fan $1 on {HOST.NAME} not redundant (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqHeFltTolFanRedundant[{#SNMPVALUE}].last()}<>3</p><p>**Recovery expression**: </p>|average|
|Check Logical Drive [{#SNMPVALUE}] on {HOST.NAME} status (Other) (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaLogDrvCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: </p>|warning|
|Logical Drive [{#SNMPVALUE}] on {HOST.NAME} Failure (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaLogDrvCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: </p>|high|
|Array Accelerator Board Controller [{#SNMPVALUE}] need check (Other) (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaAccelCondition[{#SNMPVALUE}].last()}=1</p><p>**Recovery expression**: </p>|warning|
|Array Accelerator Board Controller [{#SNMPVALUE}] not OK (LLD)|<p>-</p>|<p>**Expression**: {SNMP HP Server Health:cpqDaAccelCondition[{#SNMPVALUE}].last()}>2</p><p>**Recovery expression**: </p>|high|
