# Raritan PDU PX3

## Description

Zabbix monitoring template for Raritan PDU PX3-5466R This template was tested only on Zabbix 4.4 and PX3-5466R devices but may work on other models too. The sensor discovery is simplistic and many assumptions were made, which might require little changes to make it work on other models. The discovery rules are set to 1 minute interval and the discovered items are also set to 1 minute interval in order to allow quick tests. For real deployments you should create your own template, link this template to your own template and override the discovery intervals with values that make sense for you. For example, we use 1 day interval for the discovery rules because our power topology is pretty static and once the first discovery is done there is no need to keep discovery rules running often. The triggers are defined based on the sensor states in order to respect the thresholds defined in each PDU, and for that reason the actual PDU thresholds don't show in the graphs.

## Overview

Zabbix monitoring template for Raritan PDU PX3-5466R
====================================================


This template was tested only on **Zabbix 4.4** and **PX3-5466R** devices but may work on other models too. The sensor discovery is simplistic and many assumptions were made, which might require little changes to make it work on other models.


The discovery rules are set to 1 minute interval and the discovered items are also set to 1 minute interval in order to allow quick tests. **For real deployments you should create your own template, link this template to your own template and override the discovery intervals with values that make sense for you**. For example, we use 1 day interval for the discovery rules because our power topology is pretty static and once the first discovery is done there is no need to keep discovery rules running often.


The triggers are defined based on the sensor states in order to respect the thresholds defined in each PDU, and for that reason the actual PDU thresholds don't show in the graphs.


Suggestions and corrections are welcome, see <https://github.com/BrandwatchLtd/zabbix-templates/tree/master/raritan-pdu-px3>


Inspired in [https://share.zabbix.com/power-ups/legrand-inform/raritan-px-pdu](power-ups/legrand-inform/raritan-px-pdu)



## Author

Tiago TT

## Macros used

|Name|Description|Default|Type|
|----|-----------|-------|----|
|{$SNMP_COMMUNITY}|<p>-</p>|`e3b56dd2ad99199`|Text macro|


## Template links

There are no template links in this template.

## Discovery rules

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|System Discovery|<p>-</p>|`SNMP agent`|pdu.system<p>Update: 1m</p>|
|Temperature Sensor Discovery|<p>-</p>|`SNMP agent`|pdu.sensor.temperature<p>Update: 1m</p>|
|Details Discovery|<p>-</p>|`SNMP agent`|pdu.details<p>Update: 1m</p>|
|Power Outlet Discovery|<p>-</p>|`SNMP agent`|pdu.outlet<p>Update: 1m</p>|
|Humidity Sensor Discovery|<p>-</p>|`SNMP agent`|pdu.sensor.humidity<p>Update: 1m</p>|
|Power Inlet Discovery|<p>-</p>|`SNMP agent`|pdu.inlet<p>Update: 1m</p>|
|Over Current Protector Discovery|<p>-</p>|`SNMP agent`|pdu.protector<p>Update: 1m</p>|


## Items collected

|Name|Description|Type|Key and additional info|
|----|-----------|----|----|
|System {#PDU_SYSTEM_NAME} Uptime|<p>System uptime of device with the following system properties: Name: {#PDU_SYSTEM_NAME} Location: {#PDU_SYSTEM_LOCATION} Contact: {#PDU_SYSTEM_CONTACT} Description: {#PDU_SYSTEM_DESCRIPTION}</p>|`SNMP agent`|pdu.system.uptime[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Temperature Sensor|<p>PDU Temperature Sensor details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|`SNMP agent`|pdu.sensor.temperature.sensor[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Temperature State|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|`SNMP agent`|pdu.sensor.temperature.state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|PDU {#PDU_DETAILS_MANUFACTURER} - {#PDU_DETAILS_MODEL} Serial Number|<p>Serial number of the PDU with the following details: Manufacturer: {#PDU_DETAILS_MANUFACTURER} Model: {#PDU_DETAILS_MODEL} Rated Voltage: {#PDU_DETAILS_VOLTAGE} Rated Current: {#PDU_DETAILS_CURRENT} Rated Frequency: {#PDU_DETAILS_FREQUENCY} Rated Apparent Power: {#PDU_DETAILS_POWER} Diagram URL: {#PDU_DETAILS_DIAGRAM_URL}</p>|`SNMP agent`|pdu.details.pdu[{#SNMPINDEX}]<p>Update: 1d</p><p>LLD</p>|
|Active Power on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Active Power sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.active_power[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|Active Power State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Active Power sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.active_power_state[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|Apparent Power on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Apparent Power sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.apparent_power[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|Apparent Power State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Apparent Power sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|Frequency on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Frequency sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.frequency[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|Frequency State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Frequency sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.frequency_state[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|Power Factor on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Power Factor sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.power_factor[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|Power Factor State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Power Factor sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|RMS Current on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>RMS Current sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.rms_current[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|RMS Current State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>RMS Current sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|RMS Voltage on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>RMS Voltage sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.rms_voltage[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|RMS Voltage State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>RMS Voltage sensor from the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET}</p>|`SNMP agent`|pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}]<p>Update: 1m</p><p>LLD</p>|
|Humidity Sensor|<p>PDU Humidity Sensor details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|`SNMP agent`|pdu.sensor.humidity.sensor[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Humidity State|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|`SNMP agent`|pdu.sensor.humidity.state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Active Power on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Active Power sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.active_power[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Active Power State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Active Power sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.active_power_state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Apparent Power on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Apparent Power sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.apparent_power[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Apparent Power State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Apparent Power sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.apparent_power_state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Frequency on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Frequency sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.frequency[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Frequency State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Frequency sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.frequency_state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Power Factor on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Power Factor sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.power_factor[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Power Factor State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Power Factor sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.power_factor_state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|RMS Current on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>RMS Current sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.rms_current[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|RMS Current State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>RMS Current sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.rms_current_state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|RMS Voltage on INlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>RMS Voltage sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.rms_voltage[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|RMS Voltage State on INlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>RMS Voltage sensor from the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET}</p>|`SNMP agent`|pdu.inlet.rms_voltage_state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|RMS Current on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>RMS Current sensor from the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT}</p>|`SNMP agent`|pdu.protector.current[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|RMS Current State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>RMS Current sensor from the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT}</p>|`SNMP agent`|pdu.protector.current_state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Trip Sensor on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>Trip sensor from the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT}</p>|`SNMP agent`|pdu.protector.trip[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|
|Trip Sensor State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>Trip sensor from the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT}</p>|`SNMP agent`|pdu.protector.trip_state[{#SNMPINDEX}]<p>Update: 1m</p><p>LLD</p>|


## Triggers

|Name|Description|Expression|Priority|
|----|-----------|----------|--------|
|High Critical State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>High Critical state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>High Warning state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Low Critical state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Low Warning state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME}|<p>Unavailable state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|High Critical State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>High Critical state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>High Warning state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Low Critical state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Low Warning state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME}|<p>Unavailable state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|Trip on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>Trip sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.trip[{#SNMPINDEX}].last()}<>0 or {Raritan PDU PX3:pdu.protector.trip_state[{#SNMPINDEX}].last()}<>1</p><p>**Recovery expression**: </p>|disaster|
|High Critical State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>High Critical state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>High Warning state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>Low Critical state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>Low Warning state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME}|<p>Unavailable state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|High Critical State on Humidity Sensor|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Humidity Sensor|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Humidity Sensor|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Humidity Sensor|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Humidity Sensor|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|High Critical State on Temperature Sensor|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Temperature Sensor|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Temperature Sensor|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Temperature Sensor|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Temperature Sensor|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|High Critical State on Temperature Sensor (LLD)|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Temperature Sensor (LLD)|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Temperature Sensor (LLD)|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Temperature Sensor (LLD)|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Temperature Sensor (LLD)|<p>PDU Temperature State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.temperature.state[{#SNMPINDEX}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|High Critical State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME} (LLD)|<p>High Critical state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=6 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME} (LLD)|<p>High Warning state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=5 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME} (LLD)|<p>Low Critical state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=2 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME} (LLD)|<p>Low Warning state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=3 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Outlet {#PDU_OUTLET_ID} - {#PDU_OUTLET_NAME} (LLD)|<p>Unavailable state detected from at least one sensor of the PDU outlet with the following details: ID: {#PDU_OUTLET_ID} Name: {#PDU_OUTLET_NAME} Rated Voltage: {#PDU_OUTLET_RATED_VOLTAGE} Rated Current: {#PDU_OUTLET_RATED_CURRENT} Socket: {#PDU_OUTLET_SOCKET} Check individual outlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.outlet.active_power_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.apparent_power_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.frequency_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.power_factor_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.rms_current_state[{#PDU_OUTLET_ID}].last()}=-1 or {Raritan PDU PX3:pdu.outlet.rms_voltage_state[{#PDU_OUTLET_ID}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|High Critical State on Humidity Sensor (LLD)|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Humidity Sensor (LLD)|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Humidity Sensor (LLD)|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Humidity Sensor (LLD)|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Humidity Sensor (LLD)|<p>PDU Humidity State details: Name: {#PDU_SENSOR_NAME} Serial number: {#PDU_SENSOR_SERIAL}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.sensor.humidity.state[{#SNMPINDEX}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|High Critical State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME} (LLD)|<p>High Critical state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=6 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME} (LLD)|<p>High Warning state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=5 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME} (LLD)|<p>Low Critical state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=2 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME} (LLD)|<p>Low Warning state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=3 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Inlet {#PDU_INLET_ID} - {#PDU_INLET_NAME} (LLD)|<p>Unavailable state detected from at least one sensor of the PDU inlet with the following details: ID: {#PDU_INTLET_ID} Name: {#PDU_INLET_NAME} Rated Voltage: {#PDU_INLET_RATED_VOLTAGE} Rated Current: {#PDU_INLET_RATED_CURRENT} Socket: {#PDU_INLET_SOCKET} Check individual inlet sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.inlet.active_power_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.apparent_power_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.frequency_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.power_factor_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.rms_current_state[{#SNMPINDEX}].last()}=-1 or {Raritan PDU PX3:pdu.inlet.rms_voltage_state[{#SNMPINDEX}].last()}=-1</p><p>**Recovery expression**: </p>|information|
|Trip on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME} (LLD)|<p>Trip sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT}</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.trip[{#SNMPINDEX}].last()}<>0 or {Raritan PDU PX3:pdu.protector.trip_state[{#SNMPINDEX}].last()}<>1</p><p>**Recovery expression**: </p>|disaster|
|High Critical State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME} (LLD)|<p>High Critical state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=6</p><p>**Recovery expression**: </p>|high|
|High Warning State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME} (LLD)|<p>High Warning state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=5</p><p>**Recovery expression**: </p>|warning|
|Low Critical State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME} (LLD)|<p>Low Critical state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=2</p><p>**Recovery expression**: </p>|high|
|Low Warning State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME} (LLD)|<p>Low Warning state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=3</p><p>**Recovery expression**: </p>|warning|
|Unavailable State on Over Current Protector {#PDU_PROTECTOR_LABEL} - {#PDU_PROTECTOR_NAME} (LLD)|<p>Unavailable state detected from at least one sensor of the PDU over current protector the following details: Label: {#PDU_PROTECTOR_LABEL} Name: {#PDU_PROTECTOR_NAME} Rated Current: {#PDU_PROTECTOR_RATED_CURRENT} Check individual protector sensor state to find which sensor is reporting a problem.</p>|<p>**Expression**: {Raritan PDU PX3:pdu.protector.current_state[{#SNMPINDEX}].last()}=-1</p><p>**Recovery expression**: </p>|information|
