# Zabbix public templates

## A place for community driven integrations with Zabbix

![Template Repository](https://github.com/zabbix/community-templates/actions/workflows/update_readme.yml/badge.svg)
![Template Repository](https://github.com/zabbix/community-templates/actions/workflows/check_templates.yaml/badge.svg)

This repository is dedicated to templates that are created and maintained by Zabbix community.

## How to use templates from this repository?
- Download and [import a template](https://www.zabbix.com/documentation/current/manual/xml_export_import/templates#importing) into the supported Zabbix version.
- Configure the template according to the configuration requirements
- Configure a host with [template](https://www.zabbix.com/documentation/current/manual/config/templates/template)

## How to Collaborate?
- Fix and report bugs
- Improve template documentation
- Review and discuss templates and feature proposals
- Answer questions and discuss in GitHub issues

## How to contribute a new template
- Read [template guidelines](https://www.zabbix.com/documentation/guidelines/en/thosts)
- Review template structure
- Open a pull request with a template for the correct version
- Be ready to discuss your pull request


## Templates
* [Applications](Applications)
    * [1C](Applications/1C)
        * [1C Enterprise](Applications/1C/template_1c_enterprise)
    * [Anti-Virus](Applications/Anti-Virus)
        * [App Kaspersky](Applications/Anti-Virus/template_kaspersky)
        * [Kaspersky Security Center 11](Applications/Anti-Virus/template_kaspersky_security_center_11)
    * [Backup](Applications/Backup)
        * [Arcserve UDP VM Backup Check](Applications/Backup/template_arcserve_udp_vm_backup_jobs)
        * [Asigra Backup SNMP Traps](Applications/Backup/template_asigra_backup_snmp_traps)
        * [App BackupPC by Zabbix agent](Applications/Backup/template_backuppc_monitoring)
        * [Nakivo](Applications/Backup/template_nakivo_backup_&_replication)
        * [restic backup by Zabbix agent](Applications/Backup/template_restic_backup)
        * [SAP Backup](Applications/Backup/template_sap_backup_tenant_systemdb)
        * [App TSM Client Scheduler](Applications/Backup/template_tsm_client_scheduler_service)
        * [App TSM Journal Service](Applications/Backup/template_tsm_journal_service)
        * [VEEAM-Agents](Applications/Backup/template_veeam_agents_for_microsoft_windows)
        * [VEEAM SMTP trapper](Applications/Backup/template_veeam_backup_&_replication_by_smtp)
        * [Backup Exec Server](Applications/Backup/template_veritas_symantec_backup_exec_server)
    * [Cluster](Applications/Cluster)
        * [CoroSync-Ring-0](Applications/Cluster/template_corosync_status)
        * [ILOM ORACLE SRV X8-2 SNMP Trap](Applications/Cluster/template_oracle_exadata)
    * [Clustered_File_Systems](Applications/Clustered_File_Systems)
        * [Gluster Storage](Applications/Clustered_File_Systems/template_glusterfs_discovery)
    * [DNS](Applications/DNS)
        * [App PowerDNS dnsdist](Applications/DNS/template_app_powerdns_dnsdist)
        * [Bind queries](Applications/DNS/template_bind_recursive_queries)
        * [DNS-bind](Applications/DNS/template_bind_stat)
        * [Knot Resolver Statistics](Applications/DNS/template_knot_resolver)
        * [net.dns.perf](Applications/DNS/template_net.dns.perf)
        * [pihole-FTL over zabbix active agent](Applications/DNS/template_pihole_daemon_check)
    * [Excel_Export](Applications/Excel_Export)
        * [NEXUS 3xxx](Applications/Excel_Export/template_nexus_3xxx)
    * [Firewall](Applications/Firewall)
        * [Fail2ban](Applications/Firewall/template_fail2ban)
        * [ViPNet IDS SNMPv2](Applications/Firewall/template_vipnet_ids_snmpv2)
    * [Gitlab](Applications/Gitlab)
        * [Template Gitlab Update Check](Applications/Gitlab/template_gitlab_update_check)
    * [High_Availability_(HA)](Applications/High_Availability_(HA))
        * [HAProxy](Applications/High_Availability_(HA)/template_haproxy_using_socket)
    * [Java_Application](Applications/Java_Application)
        * [Template App Generic Java JMX](Applications/Java_Application/template_app_generic_java_jmx_with_metaspace)
        * [App Glassfish server.jvm](Applications/Java_Application/template_glassfish_webserver)
        * [JVM Generic](Applications/Java_Application/template_jvm_and_g1_gc_monitoring_with_jmx)
    * [Mail_servers](Applications/Mail_servers)
        * [ESA-CISCO XML Status](Applications/Mail_servers/template_cisco_esa_(_ironport_)_additional_monitoring)
        * [Exchange Mailbox Servers_RU](Applications/Mail_servers/template_exchange_2010_client_access_performance_monitoring_(rus))
        * [Exchange Mailbox Servers_RU](Applications/Mail_servers/template_exchange_2010_client_access_performance_monitoring_(rus)_1)
        * [Microsoft Exchange Server 2016 - Services](Applications/Mail_servers/template_exchange_2016-services)
        * [Exchange 2016](Applications/Mail_servers/template_exchange_server_2016_performance_monitoring)
        * [Fortimail 60D](Applications/Mail_servers/template_fortinet_fortimail)
        * [App MDaemon](Applications/Mail_servers/template_mdaemon_fr)
        * [App MDaemon](Applications/Mail_servers/template_mdaemon_rus)
        * [App Axigen-Services](Applications/Mail_servers/template_monitor_axigen_with_zabbix)
        * [Zimbra](Applications/Mail_servers/template_zimbra_collaboration)
        * [Zimbra](Applications/Mail_servers/template_zimbra_zmcontrol_status)
    * [Misc](Applications/Misc)
        * [App Skype for business Mediation Role](Applications/Misc/template_lync_2013_mediation_role)
    * [Monitoring_System](Applications/Monitoring_System)
        * [App bcmstat](Applications/Monitoring_System/template_bcmstat_for_raspberry_pi)
        * [App Nagios stats](Applications/Monitoring_System/template_get_nagiostats)
        * [graylog_nodes](Applications/Monitoring_System/template_graylog_node_monitoring_using_zabbix)
        * [Junos Space](Applications/Monitoring_System/template_junos_space)
        * [8 Ozeki](Applications/Monitoring_System/template_ozeki_sms_gateway)
        * [ProximVision NMS](Applications/Monitoring_System/template_proximvision_nms)
        * [Housekeeping Metrics](Applications/Monitoring_System/template_zabbix_monitor_housekeeper)
    * [NTP](Applications/NTP)
        * [App Chrony Service](Applications/NTP/template_chrony_accuracy)
        * [chrony_Monitoring](Applications/NTP/template_chrony_accuracy_1)
        * [chrony_Monitoring](Applications/NTP/template_chrony_accuracy_english)
        * [chrony_Monitoring-Japanese](Applications/NTP/template_chrony_accuracy_japanese)
        * [NTP-remote](Applications/NTP/template_ntp_accuracy)
        * [NTP-remote-Japanese](Applications/NTP/template_ntp_accuracy_japanese)
    * [Others](Applications/Others)
        * [App e2guardian - Active](Applications/Others/template_e2guardian_4.1.x)
        * [_T_Zbx_Lin_HAPROXY2_stats_Prometheus](Applications/Others/template_haproxy_v2_stats_via_prometheus)
        * [App Needrestart](Applications/Others/template_needrestart)
        * [OKTA AD Agent Healthcheck](Applications/Others/template_okta_ad_agent_status)
        * [OpenVPN](Applications/Others/template_openvpn_for_thevpncompany)
        * [SAP Availability Linux](Applications/Others/template_sap_process)
        * [App TACACS Service](Applications/Others/template_tacacs_service)
        * [App WireGuard](Applications/Others/template_wireguard_vpn)
        * [App Zookeeper](Applications/Others/template_zabbix_zookeper)
    * [Queue_managers](Applications/Queue_managers)
        * [App ActiveMQ JMX](Applications/Queue_managers/template_activemq_jmx)
        * [JMX ActiveMQ](Applications/Queue_managers/template_activemq_jmx_discovery)
        * [App Kafka](Applications/Queue_managers/template_kafka_jmx_discovery)
    * [Security](Applications/Security)
        * [Canary](Applications/Security/template_canary_files_monitoring)
        * [cve-2016-0728](Applications/Security/template_cve-2016-0728_check)
        * [DEVLINE](Applications/Security/template_devline_windows_monitoring_cctv)
    * [TV_Broadcasting](Applications/TV_Broadcasting)
        * [Service HLS](Applications/TV_Broadcasting/template_service_hls)
        * [Vizrt SNMP](Applications/TV_Broadcasting/template_vizrt_viz_engine_snmp)
    * [Web-servers](Applications/Web-servers)
        * [Apache](Applications/Web-servers/template_apache_http_server)
        * [App Solr](Applications/Web-servers/template_apache_solr_statistics_via_json)
        * [App Nginx by Alex Gluck](Applications/Web-servers/template_app_nginx_for_zabbix_3.4.x)
        * [SSL check LLD](Applications/Web-servers/template_domain_registration_expiration_and_ssl_certificates_check_lld)
        * [App PHP-FPM](Applications/Web-servers/template_fcgi_stat_getter._monitor_php-fpm_without_nginx_proxy)
        * [App IIS Service](Applications/Web-servers/template_microsoft_iis_7.5,_8.0,_8.5_and_10_services,_ports_and_performance_counters)
        * [App IIS Service_RUS](Applications/Web-servers/template_microsoft_iis_8,_8.5,_10_for_rus_server)
        * [App Nginx by Alex Gluck](Applications/Web-servers/template_nginx_for_zabbix_3.4.x)
        * [NGINX_http_agent](Applications/Web-servers/template_nginx_for_zabbix_4.0)
        * [App Nginx](Applications/Web-servers/template_nginx_stat_getter._simple_check_for_nginx_stats)
        * [SSLLabs](Applications/Web-servers/template_ssllabs)
        * [Nginx](Applications/Web-servers/template_zabbix_4.0_nginx_monitoring)
        * [App PHP-FPM](Applications/Web-servers/template_zabbix_4.0_php-fpm_pools_(lld_+_http_agent))
    * [App Apache2](Applications/template_apache_2_web_server_http_item)
    * [ESA-CISCO](Applications/template_cisco_ironport_email_and_web_security)
    * [App Citrix License Sever](Applications/template_citrix_licensing)
    * [C24_CVAD-715_Broker_v1.00](Applications/template_citrix_xendesktop_7.15-delivery_controller)
    * [C24_CVAD-715_CTXLicServer_v1.00](Applications/template_citrix_xendesktop_license_server)
    * [Covid19](Applications/template_covid19_monitoring_updated)
    * [App Elasticsearch Cluster new](Applications/template_elasticsearch)
    * [App EMQTT  Service](Applications/template_emq_(mqtt))
    * [Eocortex](Applications/template_eocortex_vms)
    * [Microsoft Exchange Server 2016](Applications/template_exchange_2016)
    * [Focco](Applications/template_focco)
    * [SpeedTest](Applications/template_internet_speed_test)
    * [App Lighttpd by Zabbix Agent](Applications/template_lighttpd)
    * [LLD OLT ZTE](Applications/template_lld_olt_zte)
    * [App Logstash](Applications/template_logstash)
    * [Zabbix DB Partitions](Applications/template_mariadb_database_partition_monitoring)
    * [App MDaemon](Applications/template_mdaemon)
    * [App MQTT  Service](Applications/template_mqtt_(mosquitto)_broker_monitoring)
    * [Netbackup](Applications/template_netbackup)
    * [App Nginx Plus](Applications/template_nginx_plus)
    * [OLT ZTE C320](Applications/template_olt_zte_c320)
    * [App Pi-Hole](Applications/template_pi-hole_api)
    * [CustomApp Plesk](Applications/template_plesk_obsidian_(active))
    * [qBittorrent](Applications/template_qbittorrent)
    * [App Rocket Chat](Applications/template_rocket_chat_statistics)
    * [Emby](Applications/template_s_emby)
    * [App Secure64 SNMP](Applications/template_secure64_dns-snmp)
    * [UPS HDS](Applications/template_ups-hds)
    * [App Varnish by Zabbix agent](Applications/template_varnish)
    * [WeblogicHealth](Applications/template_weblogic_health_check_jmx)
    * [JMX Wildlfy](Applications/template_wildfly_eap_jboss_discovery)
    * [APT Debian](Applications/template_zabbix-apt)
* [Cloud](Cloud)
    * [AWS](Cloud/AWS)
        * [AWS CloudWatch via Docker Wrapper](Cloud/AWS/template_aws_cloudwatch_via_docker_wrapper_with_http_agent)
    * [App Nextcloud Monitoring API](Cloud/template_nextcloud_monitoring_api)
* [Databases](Databases)
    * [Apache_Ignite](Databases/Apache_Ignite)
        * [App Ignite JMX](Databases/Apache_Ignite/template_ignite_jmx_with_instancename)
    * [Microsoft_SQL_Server](Databases/Microsoft_SQL_Server)
        * [App MS SQL DB Discovery](Databases/Microsoft_SQL_Server/template_app_ms_sql_database_discovery_(lld))
        * [App MS SQL Instance Discovery](Databases/Microsoft_SQL_Server/template_app_ms_sql_instance_discovery_(lld))
    * [MySQL](Databases/MySQL)
        * [Halley MySQL Python server mi passive](Databases/MySQL/template_mysql_windows_multiple_instances_monitoring)
    * [Oracle](Databases/Oracle)
        * [Pyora active send](Databases/Oracle/template_3.0_for_pyora)
        * [Oracle DB](Databases/Oracle/template_oracle_db)
        * [OCI_Dbaas](Databases/Oracle/template_zabbix_oci_dbaas)
    * [Others](Databases/Others)
        * [App Elasticsearch Cluster by Zabbix agent](Databases/Others/template_app_elasticsearch_cluster_by_zabbix_agent)
        * [Clickhouse](Databases/Others/template_clickhouse)
    * [Sinal SFP Mikrotik](Databases/template_coleta_sinal_sfp_mikrotik)
    * [Elasticsearch Cluster by HTTP zbx 4.2](Databases/template_elasticsearch_cluster_by_http_for_zabbix_4.2+)
    * [Postgres ODBC](Databases/template_postgres_odbc_database_monitoring)
    * [Banco Progress Datasul](Databases/template_progress_datasul_totvs)
    * [App Nutcracker](Databases/template_twemproxy_(nutcracker))
* [Network_Appliances](Network_Appliances)
    * [BALABIT-SNMPv2-Shell_Control_Box](Network_Appliances/template_balabit-shell_control_box_snmp)
    * [Device BigIP F5](Network_Appliances/template_big_ip_f5-snmp)
    * [App BlueCoat AV](Network_Appliances/template_bluecoat_proxyav)
    * [App BlueCoat SG](Network_Appliances/template_bluecoat_proxysg)
    * [Checkpoint VPN-1](Network_Appliances/template_checkpoint_vpn-1)
    * [SNMP OLT FiberHome](Network_Appliances/template_fiberhome_2020)
    * [SNMP McAfee Email Gateway](Network_Appliances/template_mcafee_email_gateway)
    * [Mikrotik RouterOS](Network_Appliances/template_mikrotik_routeros)
    * [Mobotix Camera](Network_Appliances/template_mobotix_security_camera)
    * [Nevis](Network_Appliances/template_nevis_proxy)
    * [Quagga BGP](Network_Appliances/template_quagga_bgp_sessions_monitor)
    * [Template Module Generic SNMP](Network_Appliances/template_rittal_pdu-7955)
    * [SNMP_FIREWALL_KERIO_CONTROL_LLD_VERSAO-1.0](Network_Appliances/template_snmp_firewall_kerio)
    * [SNMP_FIREWALL_KERIO_CONTROL_LLD_VERSAO-1.0](Network_Appliances/template_snmp_firewall_kerio_control_lld_versao-0.1)
    * [MIB XG-FIREWALL-MIB - sophos](Network_Appliances/template_sophos_xg_firewall)
    * [App Speedtest LAN](Network_Appliances/template_speedtest_lan_monitoring)
    * [App Speedtest WAN](Network_Appliances/template_speedtest_wan_isp_monitoring)
* [Network_Devices](Network_Devices)
    * [A10](Network_Devices/A10)
        * [A10_AX_Series](Network_Devices/A10/template_a10_ax_series)
    * [Alcatel-Lucent_Enterprise](Network_Devices/Alcatel-Lucent_Enterprise)
        * [Alcatel-Lucent Enterprise OmniSwitch AOS 6.x](Network_Devices/Alcatel-Lucent_Enterprise/template_alcatel-lucent_enterprise_omniswitch_aos_release_6.x)
        * [Alcatel-Lucent Enterprise OmniSwitch AOS 8.x](Network_Devices/Alcatel-Lucent_Enterprise/template_alcatel-lucent_enterprise_omniswitch_aos_release_8.x)
    * [Arista](Network_Devices/Arista)
        * [SNMP Arista BGP4](Network_Devices/Arista/template_arista_snmpv2_bgp4)
    * [Aruba](Network_Devices/Aruba)
        * [HPE_Module Aruba 2930 VSF or Stacking](Network_Devices/Aruba/template_aruba_2930f_m_vsf_and_stacking_(module))
    * [Brocade](Network_Devices/Brocade)
        * [KHP-BROCADE-FC-PORT](Network_Devices/Brocade/template_brocade_fc_(3.0.1))
        * [SNMP Brocade](Network_Devices/Brocade/template_brocade_icx_mlx_fcx)
        * [BROCADE FIBER CHANNEL SWITCH](Network_Devices/Brocade/template_fiber-channel_switch-brocade_300)
    * [Checkpoint](Network_Devices/Checkpoint)
        * [CheckPoint SNMP](Network_Devices/Checkpoint/template_checkpoint)
        * [CheckPoint FW-1](Network_Devices/Checkpoint/template_checkpoint_fw-1)
        * [CheckPoint FW-1 Interfaces](Network_Devices/Checkpoint/template_checkpoint_fw-1_interfaces)
    * [Cisco](Network_Devices/Cisco)
        * [Cisco WAP4410N](Network_Devices/Cisco/template_ap_cisco_wap4410n-e)
        * [Cisco_1900](Network_Devices/Cisco/template_cisco_1900)
        * [Cisco_2960](Network_Devices/Cisco/template_cisco_2960)
        * [Cisco_3500](Network_Devices/Cisco/template_cisco_3500)
        * [Cisco_6500](Network_Devices/Cisco/template_cisco_6500)
        * [Cisco_7200](Network_Devices/Cisco/template_cisco_7200)
        * [Cisco_7513](Network_Devices/Cisco/template_cisco_7513)
        * [Cisco_7600](Network_Devices/Cisco/template_cisco_7600)
        * [Cisco 7600 Health SNMP](Network_Devices/Cisco/template_cisco_7600_health_snmp)
        * [Cisco ASA](Network_Devices/Cisco/template_cisco_asa)
        * [Cisco ASA 515](Network_Devices/Cisco/template_cisco_asa_515)
        * [Cisco ASA Discovery](Network_Devices/Cisco/template_cisco_asa_discovery)
        * [Cisco_ASR_1006](Network_Devices/Cisco/template_cisco_asr1006)
        * [Cisco ASR 9K Health SNMP](Network_Devices/Cisco/template_cisco_asr9k_health)
        * [ZBX-CISCO-ASR9001-OPTICAL-MONITORING](Network_Devices/Cisco/template_cisco_asr9k_optical_monitoring)
        * [Cisco_ASR_9K](Network_Devices/Cisco/template_cisco_asr_9k)
        * [Cisco BGP SNMP](Network_Devices/Cisco/template_cisco_bgp_snmp)
        * [SNMP Cisco Configuration](Network_Devices/Cisco/template_cisco_configuration)
        * [SNMP Cisco IP SLA](Network_Devices/Cisco/template_cisco_ip_sla_discovery)
        * [SNMP Cisco IP SLA](Network_Devices/Cisco/template_cisco_ip_sla_discovery_1)
        * [Cisco IPsec VPN discovering](Network_Devices/Cisco/template_cisco_ipsec_vpn_discovering)
        * [tpl_part_network_cisco_all_performance](Network_Devices/Cisco/template_cisco_memory_and_cpu)
        * [Template Cisco Nexus 9000 Temperature](Network_Devices/Cisco/template_cisco_nexus_9k_temperature)
        * [Cisco_SG200-26P](Network_Devices/Cisco/template_cisco_sg200-26p)
        * [Cisco_SG300-52-d](Network_Devices/Cisco/template_cisco_sg300_and_sg200)
        * [SG500X_48P](Network_Devices/Cisco/template_cisco_sg500_48p)
        * [SNMP Cisco SG500x](Network_Devices/Cisco/template_cisco_sg500x-48p)
        * [XSM SNMP Devices](Network_Devices/Cisco/template_cisco_sge2000p_complete_monitoring)
        * [SGE2010_48P](Network_Devices/Cisco/template_cisco_sge2010_&_sge2010p)
        * [SNMP Cisco IPSec](Network_Devices/Cisco/template_cisco_snmp_ipsec)
        * [SNMP Cisco Memory](Network_Devices/Cisco/template_cisco_snmp_memory)
        * [CiscoSwitchInterfaceSNMPv3](Network_Devices/Cisco/template_cisco_snmp_v3_interface_discovery)
        * [Cisco Total](Network_Devices/Cisco/template_cisco_total)
        * [Cisco_Sensors](Network_Devices/Cisco/template_for_cisco_optical_sensors_with_autodiscovery)
        * [Generic Cisco](Network_Devices/Cisco/template_generic_cisco)
        * [Cisco_LAG](Network_Devices/Cisco/template_lacp_ports_monitoring)
        * [Cisco_SG220-26P.xml](Network_Devices/Cisco/template_sg220-26)
        * [Cisco_SB_SG350XG-2F10](Network_Devices/Cisco/template_sg350xg-2f10)
    * [Citrix_NetScaler](Network_Devices/Citrix_NetScaler)
        * [NetScaler](Network_Devices/Citrix_NetScaler/template_basics_plus_ha)
    * [D-Link](Network_Devices/D-Link)
        * [Dlink_DES3026](Network_Devices/D-Link/template_d-link_des3026)
        * [D-Link DGS 1100](Network_Devices/D-Link/template_d-link_dgs-1100-08v2_snmpv2)
        * [SNMP D-link DGS-1100-10ME revA1](Network_Devices/D-Link/template_d-link_dgs-1100-10_me_rev._a1)
        * [SNMP D-link DGS-1210-52 revB](Network_Devices/D-Link/template_d-link_dgs-1210-52_rev._b)
        * [SNMP D-link DGS-1210-52 revC](Network_Devices/D-Link/template_d-link_dgs-1210-52_rev._c)
        * [SNMP D-link DGS-3120-xx](Network_Devices/D-Link/template_d-link_dgs-3120-xx)
        * [D-Link DGS 1100](Network_Devices/D-Link/template_d-link_dgs_1100)
        * [SNMP D-Link DES-1210-28](Network_Devices/D-Link/template_des-1210-28)
        * [DES-3526](Network_Devices/D-Link/template_des-3526)
        * [SNMP D-Link DGS-3200](Network_Devices/D-Link/template_zabbix_2.2_d-link_dgs-3200_snmp)
    * [Datacom](Network_Devices/Datacom)
        * [DATACOM DM2500](Network_Devices/Datacom/template_dm2500)
        * [DATACOM DmOS - ONU Interfaces](Network_Devices/Datacom/template_dm4610_olt)
        * [DM DmOS](Network_Devices/Datacom/template_dmos)
        * [DmOS - Hardware Monitor](Network_Devices/Datacom/template_dmos-hardware_monitor)
    * [Dell](Network_Devices/Dell)
        * [force_c150](Network_Devices/Dell/template_force_c150)
    * [Eltex](Network_Devices/Eltex)
        * [Eltex LTE-8X](Network_Devices/Eltex/template_eltex_lte-8x)
        * [Eltex MES SNMPv2](Network_Devices/Eltex/template_eltex_mes)
        * [MES3124](Network_Devices/Eltex/template_mes3124f)
        * [MES3124](Network_Devices/Eltex/template_mes3124f_1)
        * [Array AG1100](Network_Devices/Eltex/template_snmp_array_network_secure_access_gateway)
    * [Fortigate](Network_Devices/Fortigate)
        * [SNMP FortiAnalyzer](Network_Devices/Fortigate/template_fortianalyzer)
        * [Fortigate 100D](Network_Devices/Fortigate/template_fortigate_100d)
        * [FGT-INTERFACES DISCOVERY](Network_Devices/Fortigate/template_fortigate_100d-200b-60c-30d)
        * [FGT-CPU](Network_Devices/Fortigate/template_fortigate_100d-200b-60c-30d_1)
        * [Fortigate HA Sync](Network_Devices/Fortigate/template_fortigate_ha_status)
        * [SNMP Fortinet Devices](Network_Devices/Fortigate/template_fortigate_snmp)
        * [SNMP Fortinet Devices v2019](Network_Devices/Fortigate/template_fortigate_snmp_v2019)
        * [Module Interfaces SNMPv2](Network_Devices/Fortigate/template_fortinet_all_discovery)
        * [SNMP FortiSwitch Devices](Network_Devices/Fortigate/template_fortiswitch_124e-poe)
        * [SNMP Fortigate Wifi Access Points](Network_Devices/Fortigate/template_snmp_fortigate_wifi_access_point)
        * [SNMP Fortinet  - Antivirus and WebFilter](Network_Devices/Fortigate/template_snmp_fortinet-antivirus_and_webfilter)
    * [Generic](Network_Devices/Generic)
        * [BGPv4 SNMP](Network_Devices/Generic/template_bgpv4_snmp)
        * [Module EtherLike-MIB SNMPv3](Network_Devices/Generic/template_module_etherlike-mib_snmpv3)
        * [Module Generic SNMPv3](Network_Devices/Generic/template_module_generic_snmpv3)
        * [Module Interfaces SNMPv3](Network_Devices/Generic/template_module_interfaces_snmpv3)
        * [SNMPv2 Interfaces packets per second](Network_Devices/Generic/template_snmpv2_interfaces_packets_per_second)
    * [H3C](Network_Devices/H3C)
        * [H3C_WX3510H](Network_Devices/H3C/template_h3c_wx3510h_discovery)
    * [HP](Network_Devices/HP)
        * [3COM 4500 28 Ports](Network_Devices/HP/template_3com)
        * [3COM Baseline 2226-SFP Plus SNMPv2](Network_Devices/HP/template_3com_baseline_2226-sfp_plus_snmpv2)
        * [HP Procurve 2920](Network_Devices/HP/template_hp-2920-xxg)
        * [SNMP HP v1920-16G](Network_Devices/HP/template_hp_1920-16g)
        * [SNMP HP v1920-24G](Network_Devices/HP/template_hp_1920-24g)
        * [Sinais Opticos SW HP](Network_Devices/HP/template_hp_5100_gbic)
        * [HP A5120](Network_Devices/HP/template_hp_a5120_switch,_snmp_v3)
        * [SNMP HP Server Health](Network_Devices/HP/template_hp_ilo4)
        * [SNMP HP MSA 2040 SAN](Network_Devices/HP/template_hp_msa_2040)
        * [SNMP OfficeConnect 19XX](Network_Devices/HP/template_hp_officeconnect_19xx)
        * [GM DDMI](Network_Devices/HP/template_hp_transceivers_lld_monitoring_(gbic_ddm_ddmi_dom))
        * [SNMP HP v1910-24G](Network_Devices/HP/template_zabbix_2.2_hp_v19##-24g_snmp)
        * [SNMP HP v1905 POE](Network_Devices/HP/template_zabbix_2.2_hp_v1905_poe_snmp)
        * [SNMP HP v1910-24G](Network_Devices/HP/template_zabbix_2.2_hp_v1910-24g_snmp)
        * [SNMP HP v1910-48G](Network_Devices/HP/template_zabbix_hp_v1910-48g_snmp)
    * [Huawei](Network_Devices/Huawei)
        * [Basic HUAWEI SNMP with traps AR161 and S2220E](Network_Devices/Huawei/template_huawei_ar_161_s2220e)
        * [B593](Network_Devices/Huawei/template_huawei_b593)
        * [Huawei NE40E - BGP](Network_Devices/Huawei/template_huawei_ne40e_peering_bgp)
        * [Huawei Quidway S3900 series switches](Network_Devices/Huawei/template_huawei_quidway_s3900_series_switch)
        * [Huawei Quidway S5600 series switches](Network_Devices/Huawei/template_huawei_quidway_s5600_series_switches)
        * [SNMP Interfaces Huawei](Network_Devices/Huawei/template_ma5600_gpon)
        * [Optical Modules Huawei](Network_Devices/Huawei/template_optical_modules_huawei)
        * [Power Supply NetEngine SNMP](Network_Devices/Huawei/template_power_supply_netengine)
        * [Power Supply S6700 SNMP](Network_Devices/Huawei/template_power_supply_s6700_snmp)
    * [Infinera](Network_Devices/Infinera)
        * [Groove-G30-Infinera](Network_Devices/Infinera/template_groove_g30_infinera)
        * [ZBX-INFINERA-XTM-SERIES-MONITORING](Network_Devices/Infinera/template_infinera_xtm_series_tm-3000_ii_and_tm-301_ii_chassis)
    * [Intelbras](Network_Devices/Intelbras)
        * [Dvr](Network_Devices/Intelbras/template_dvr_intelbras)
        * [OLT](Network_Devices/Intelbras/template_olt8820g_intelbras)
        * [Solustic-GCOM_EL5610_Intelbras_4840E](Network_Devices/Intelbras/template_olt_4840e)
        * [Solustic-GCOM_EL5610_Intelbras_4840E](Network_Devices/Intelbras/template_olt_4840e_1)
    * [Juniper](Network_Devices/Juniper)
        * [Juniper-Optical-Interfaces](Network_Devices/Juniper/template_juniper-optical-interface)
        * [Juniper EX](Network_Devices/Juniper/template_juniper_ex_series)
        * [Juniper SRX](Network_Devices/Juniper/template_juniper_srx_series)
        * [Juniper Total](Network_Devices/Juniper/template_juniper_total)
    * [Mikrotik](Network_Devices/Mikrotik)
        * [Mikrotik CRS125-24G-1S-2HnD-IN](Network_Devices/Mikrotik/template_crs125-24g-1s-2hnd-in)
        * [Mikrotik - BGP LLD](Network_Devices/Mikrotik/template_mikrotik_bgp_lld)
        * [Mikrotik-QUEUE](Network_Devices/Mikrotik/template_mikrotik_queue_traffic_discovery)
        * [MikroTik RB3011UiAS](Network_Devices/Mikrotik/template_mikrotik_rb3011uias)
        * [Mikrotik RB750-RB1100](Network_Devices/Mikrotik/template_mikrotik_rb750-rb1100)
        * [MikroTik RB750GR3](Network_Devices/Mikrotik/template_mikrotik_rb750gr3)
        * [Mikrotik RouterBOARD](Network_Devices/Mikrotik/template_mikrotik_routerboard_general_rb_device_only)
        * [MikroTik](Network_Devices/Mikrotik/template_mikrotik_routeros_v6.x_2021)
        * [Mikrotik Script Execution](Network_Devices/Mikrotik/template_mikrotik_script_execution_via_snmp)
        * [MikroTik - Basico Wireless AP](Network_Devices/Mikrotik/template_mikrotik_wireless_lld)
        * [Mikrotik](Network_Devices/Mikrotik/template_monitoramento_de_mikrotik_sem_interface_pppoe)
        * [1 Check Active Client PPPoE](Network_Devices/Mikrotik/template_quantidade_de_clientes_pppoe)
        * [aa SNMP Mikrotik CCR-1036](Network_Devices/Mikrotik/template_routerboard_ccr_sem_interfaces_ppp)
        * [aa SNMP Mikrotik RB2011UiAS](Network_Devices/Mikrotik/template_routerboard_rb2011-uias-rm)
        * [SFP Mikrotik](Network_Devices/Mikrotik/template_sfp_mikrotik)
        * [templete rsg](Network_Devices/Mikrotik/template_templete_ubiquiti)
        * [Mikrotik - BGP LLD](Network_Devices/Mikrotik/template_zabbix-mikrotik-bgp-json)
        * [Mikrotik - OSPF LLD](Network_Devices/Mikrotik/template_zabbix-mikrotik-ospf-json)
        * [Mikrotik-Partion-Table](Network_Devices/Mikrotik/template_zabbix-mikrotik-partition-table)
        * [Mikrotik-Queue-Tree](Network_Devices/Mikrotik/template_zabbix-mikrotik-queue-tree)
        * [RouterOS BGP](Network_Devices/Mikrotik/template_zabbix_routeros_bgp_monitoring)
    * [Netgear](Network_Devices/Netgear)
        * [Netgear_GS110TP](Network_Devices/Netgear/template_netgear_gs110tp)
        * [Netgear_WG103](Network_Devices/Netgear/template_netgear_wg103)
    * [Other](Network_Devices/Other)
        * [3COM 4500 52 Ports](Network_Devices/Other/template_3com_4500)
        * [Adva SNMP Autodiscovery](Network_Devices/Other/template_adva_fsp3000)
        * [Net BreezeNet SNMPv1](Network_Devices/Other/template_alvarion_breezenet_(b10,_b14,_b28))
        * [Arbor_SP](Network_Devices/Other/template_arbor_sp)
        * [Arbor_TMS](Network_Devices/Other/template_arbor_tms)
        * [SNMP  AsGa OLT2500](Network_Devices/Other/template_asga_olt2500)
        * [Docsis Cable Modem - 16Mbps](Network_Devices/Other/template_docsis_cable_modem)
        * [enhanced_snmp_interface_discovery](Network_Devices/Other/template_enhanced_snmp_interface_discovery)
        * [Device H3C AC](Network_Devices/Other/template_h3c_wireless_ac(chinese))
        * [IP cam AXIS M1013](Network_Devices/Other/template_ip_cam_axis_m1013)
        * [Net Digisol DG-GS1526E SNMPv2](Network_Devices/Other/template_net_digisol_dg-gs1526e_snmpv2)
        * [Opengear_Console](Network_Devices/Other/template_opengear_console)
        * [VOLT - POWER NET 1000](Network_Devices/Other/template_power_net_1000)
        * [Net RAD AirMux 400 SNMPv1](Network_Devices/Other/template_rad_airmux_400)
        * [Room Alert 12er](Network_Devices/Other/template_room_alert_12er)
        * [SNMP Ruckus Zonedirector](Network_Devices/Other/template_ruckus_zonedirector)
        * [SNR](Network_Devices/Other/template_snr_2990g-48)
        * [SNMP ADSL Stats](Network_Devices/Other/template_standard_dsl_snmp)
        * [Stormshield](Network_Devices/Other/template_stormshield)
        * [Newtec](Network_Devices/Other/template_zabbix-newtecel470_satellite_modem)
    * [Palo_Alto](Network_Devices/Palo_Alto)
        * [Palo_Alto_Firewall](Network_Devices/Palo_Alto/template_palo_alto_firewall)
        * [Palo_Alto_PA200](Network_Devices/Palo_Alto/template_palo_alto_pa-200_pan-os_ver.6.0.x)
        * [Palo Alto SNMPv3 Auth Priv](Network_Devices/Palo_Alto/template_palo_alto_snmpv3)
        * [Palo Alto SNMPv2 64-bit counters](Network_Devices/Palo_Alto/template_palo_alto_with_64-bit_counters_(snmpv2))
    * [Parks](Network_Devices/Parks)
        * [Parks Fiberlink 20048S - V1.1](Network_Devices/Parks/template_parks_fiberlink_20048s)
    * [PepLink](Network_Devices/PepLink)
        * [Peplink](Network_Devices/PepLink/template_peplink)
    * [QTech](Network_Devices/QTech)
        * [Qtech_Sensors](Network_Devices/QTech/template_qtech_ddm_sensors)
    * [Ruckus](Network_Devices/Ruckus)
        * [SNMP Ruckus Zonedirector](Network_Devices/Ruckus/template_ruckus_smartzone_zone_director)
        * [SNMP Ruckus Zonedirector 9.5](Network_Devices/Ruckus/template_snmp_ruckus_zonedirector_9.5)
    * [SNR](Network_Devices/SNR)
        * [SNR Broadcast-Multicast-Unicast](Network_Devices/SNR/template_snr_access_switches_snmpv2)
        * [SNR Broadcast-Multicast-Unicast](Network_Devices/SNR/template_snr_distribution_switches_snmpv2)
    * [Sonicwall](Network_Devices/Sonicwall)
        * [SNMP Sonicwall 4600](Network_Devices/Sonicwall/template_sonicwall_nsa_series)
        * [Sonicwall SNMP - TZ600](Network_Devices/Sonicwall/template_sonicwall_tz500_600)
    * [TP-Link](Network_Devices/TP-Link)
        * [TP-Link 5428](Network_Devices/TP-Link/template_sg5428-g)
        * [TP-Link TD-W8950N](Network_Devices/TP-Link/template_td-w8950n)
    * [Ubiquiti](Network_Devices/Ubiquiti)
        * [AirFiber_5U](Network_Devices/Ubiquiti/template_airfiber_5u)
        * [EdgeMAX SNMPv2](Network_Devices/Ubiquiti/template_edgemax_(snmpv2))
        * [Ubiquiti Unifi AP LR SNMPv1](Network_Devices/Ubiquiti/template_ubiquit_unifi_ap_wifi)
        * [Ubiquiti AirMax AP Clientes by Dzset](Network_Devices/Ubiquiti/template_ubiquiti_airmax_stations_clients)
        * [AirOS8](Network_Devices/Ubiquiti/template_ubiquiti_airos8)
        * [Ubiquiti LTU-rocket wireless](Network_Devices/Ubiquiti/template_ubiquiti_ltu-rocket_wireless)
        * [Ubitiqui](Network_Devices/Ubiquiti/template_unifi)
        * [UBQT UNIFI SNMP V3 HN](Network_Devices/Ubiquiti/template_unifi_ap_snmpv3)
        * [UNIFI SNMP 2019 V1.0](Network_Devices/Ubiquiti/template_unifi_snmp_2019_v1.0)
        * [UBQT UNIFI SNMP V1 HN](Network_Devices/Ubiquiti/template_unifi_snmp_2019_v1.1)
        * [Unifi Switch 16 POE-150W Temperature](Network_Devices/Ubiquiti/template_unifi_switch_temperature)
    * [Watchguard](Network_Devices/Watchguard)
        * [Halley Firewall Watchguard M400](Network_Devices/Watchguard/template_firebox_watchguard_m400)
        * [Watchguard Firewall](Network_Devices/Watchguard/template_watchguard_snmp_(post_v12.0))
    * [YAMAHA](Network_Devices/YAMAHA)
        * [Temp_SWX2300](Network_Devices/YAMAHA/template_swx2300)
    * [Zyxel](Network_Devices/Zyxel)
        * [SNMP ZyXEL NDMS](Network_Devices/Zyxel/template_zyxel_ndms)
    * [eXtreme](Network_Devices/eXtreme)
        * [SNMP Extreme EXOS](Network_Devices/eXtreme/template_extreme_exos)
        * [Extreme_X450a](Network_Devices/eXtreme/template_extreme_x450a)
    * [Actidata NV1 SNMPv1](Network_Devices/template_actidata)
    * [ASUS-Router](Network_Devices/template_asus-rt-ac87u)
    * [Ciena 6500 2](Network_Devices/template_ciena_6500_optical_transport)
    * [CTCU Frm220](Network_Devices/template_ctcu_frm220)
    * [Network-H3C-WLC](Network_Devices/template_h3c_wireless_ac_wx3500)
    * [IPS2222](Network_Devices/template_ips2222_snmp)
    * [Device - MEINBERG LANTIME](Network_Devices/template_meinberg_lantime)
    * [Meraki Dashboard](Network_Devices/template_meraki_dashboard_polling)
    * [Nateks FG-ACE-CON-VF](Network_Devices/template_nateks)
    * [Template Module Generic SNMP](Network_Devices/template_nec_univerge_ix)
    * [Net VOLT NetProbe Plus SNMPv2](Network_Devices/template_net_volt_netprobe_plus_snmpv2)
    * [Clientes OLT](Network_Devices/template_olt_zte_c320_optical_power_attenuation)
    * [Repotec-RP-PG1626W-Stacked](Network_Devices/template_repotec_rp-pg1626w_stacked)
    * [Ruijie BBU](Network_Devices/template_ruijie)
    * [SNMP Furukawa OLT-ONU G4S - G8S - G2500 - G1040 - LD3032](Network_Devices/template_snmp_furukawa_olt-onu)
    * [SNMP Router OSPF v2](Network_Devices/template_snmp_router_ospf_v2)
    * [Sophos XG FW 18 SNMPv2](Network_Devices/template_sophos_xg_firewall_version_18.0.x)
    * [Spectralink DECT server](Network_Devices/template_spectralink_dect_server)
    * [templete rsg](Network_Devices/template_templete_ubiquiti)
    * [SNMP THECUS NAS](Network_Devices/template_thecus_snmpv2_nas)
    * [Witek Switch](Network_Devices/template_witek_(wireless-tek))
    * [ZTE-C320-GPON-nor](Network_Devices/template_zte-c320)
    * [SNMP Device GPON PARKS](Network_Devices/template_zte_c300_v1.2.5p3)
    * [SNMP Device GPON PARKS](Network_Devices/template_zte_c300_v2.1)
* [Operating_Systems](Operating_Systems)
    * [FreeBSD](Operating_Systems/FreeBSD)
        * [FreeBSD Core Temp](Operating_Systems/FreeBSD/template_freebsd_cpu_temperature_featuring_lld_(intel_&_amd))
        * [FreeBSD IP statistics](Operating_Systems/FreeBSD/template_ip_utilisation)
    * [IBM_i_(i5_OS_OS_400)_for_IBM_System_i_(AS_400)](Operating_Systems/IBM_i_(i5_OS_OS_400)_for_IBM_System_i_(AS_400))
        * [AS400](Operating_Systems/IBM_i_(i5_OS_OS_400)_for_IBM_System_i_(AS_400)/template_example_for_as_400_agent_emulator)
    * [Linux](Operating_Systems/Linux)
        * [Network Performance Conntrack](Operating_Systems/Linux/template_conntrack)
        * [Halley Linux Disk_iostat](Operating_Systems/Linux/template_linux_disk_monitoring_with_iostat)
        * [OS Linux](Operating_Systems/Linux/template_linux_grafana)
        * [TCP port monitoring](Operating_Systems/Linux/template_listening_tcp_port_discovery_and_monitoring)
        * [SNMPv2 LM-SENSORS](Operating_Systems/Linux/template_lm-sensors_snmp)
        * [LVM Cache](Operating_Systems/Linux/template_lvm_cache)
        * [Module Linux Active User Status by Zabbix Agent active](Operating_Systems/Linux/template_module_linux_active_user_status_by_zabbix_agent_active)
        * [Module Linux XFS by Zabbix agent](Operating_Systems/Linux/template_module_linux_xfs_by_zabbix_agent)
        * [Check Mount Point](Operating_Systems/Linux/template_monitor_mounts_on_fstab)
        * [Monitor one Linux Services](Operating_Systems/Linux/template_monitor_one_linux_service_using_systemctl)
        * [Linux NFS v3 Client](Operating_Systems/Linux/template_nfss_for_v3_&_v4_using_vfs.file.regex)
        * [OSI_v2](Operating_Systems/Linux/template_operating_system_identification)
        * [OS Linux diskstats](Operating_Systems/Linux/template_os_linux_diskstats)
        * [Module Linux systemd by Zabbix agent 2](Operating_Systems/Linux/template_systemd_service_monitoring_via_zabbix_agent_2_(native_discovery))
        * [SNMP UCD Disk](Operating_Systems/Linux/template_ucd_disks_monitoring)
        * [ZFS on Linux](Operating_Systems/Linux/template_zfs_on_linux)
    * [Mac_OS](Operating_Systems/Mac_OS)
        * [macOS Content Cache](Operating_Systems/Mac_OS/template_macos_content_caching)
    * [VMWare](Operating_Systems/VMWare)
        * [ESXi HP Smart Array](Operating_Systems/VMWare/template_esxi_hp_smart_array_monitoring)
        * [SNMP OS ESXi](Operating_Systems/VMWare/template_esxi_snmp_only_for_zabbix3.0)
        * [SNMP OS ESXi](Operating_Systems/VMWare/template_esxi_snmp_ver_3.4)
    * [Windows](Operating_Systems/Windows)
        * [AD DS Health and Performance](Operating_Systems/Windows/template_ad_ds_health_and_performance)
        * [AD DS Monitoring and Attack Detection](Operating_Systems/Windows/template_ad_ds_monitoring_and_attack_detection)
        * [OS Windows WMI](Operating_Systems/Windows/template_agentless_storage_and_processor_statistics)
        * [Module ICMP ping from the Zabbix Windows agent](Operating_Systems/Windows/template_for_icmp_ping_from_the_zabbix_windows_agent)
        * [Module Windows users by Zabbix agent](Operating_Systems/Windows/template_module_windows_users)
        * [OS Windows Server](Operating_Systems/Windows/template_os_windows_server)
        * [OS Windows Server 2012-2016](Operating_Systems/Windows/template_os_windows_server_2012-2016_v.1.1)
        * [RDPUsers](Operating_Systems/Windows/template_rdp_users)
        * [Storage](Operating_Systems/Windows/template_storage_disk_c_and_disk_d)
        * [Sockstat Statistics Windows](Operating_Systems/Windows/template_tcp_udp_windows_connections)
        * [VMware Tools Windows performance counters](Operating_Systems/Windows/template_vmware_tools_windows_performance_counters)
        * [Event User Log](Operating_Systems/Windows/template_windows_ad_event_log_(2008_r2-2012_r2))
        * [Metrics Windows Defender](Operating_Systems/Windows/template_windows_defender_and_antimalware_eventlog_monitoring)
        * [Windows Defender WMI](Operating_Systems/Windows/template_windows_defender_wmi_monitoring)
        * [Discovery DHCP scopes](Operating_Systems/Windows/template_windows_dhcp_server_scopes_discovery_(snmp))
        * [OS Windows Disk Space](Operating_Systems/Windows/template_windows_disk_space_monitoring)
        * [Windows Physical Disk IOPS](Operating_Systems/Windows/template_windows_physical_drive_iops)
        * [Event Windows Backup](Operating_Systems/Windows/template_windows_wbadmin_log)
        * [OS Windows Server Baseline](Operating_Systems/Windows/template_zabbix_for_microsoft_windows_server)
        * [getWindowsMountPointsToFolders](Operating_Systems/Windows/template_zabbix_for_ntfs_mountpoins_as_folders)
    * [Ativacao do Windows](Operating_Systems/template_checks_windows_activation)
    * [Domination](Operating_Systems/template_domination)
    * [HSC Discovery DHCP scopes - HSC](Operating_Systems/template_escopo_dhcp_e_estatisticas)
    * [Linux_Services](Operating_Systems/template_linux_services)
    * [SNMP Linux Processes Load](Operating_Systems/template_snmp_linux_processes_load)
    * [SNMP Time Diff](Operating_Systems/template_snmp_time_difference)
* [Power_(UPS)](Power_(UPS))
    * [APC](Power_(UPS)/APC)
        * [SNMP APC InRow](Power_(UPS)/APC/template_apc_inrow)
        * [APC_NMC2](Power_(UPS)/APC/template_apc_network_management_card_2)
        * [SNMP APC PDU AP79XX](Power_(UPS)/APC/template_apc_pdu_ap7953)
        * [APC PDU](Power_(UPS)/APC/template_apc_pdu_detailed)
        * [SNMP APC PDU](Power_(UPS)/APC/template_apc_pdu_new_snmp)
        * [APC Smart-UPS](Power_(UPS)/APC/template_apc_smart-ups_750)
        * [APC Smart-UPS through apcupsd and ssh](Power_(UPS)/APC/template_apc_smart-ups_through_apcupsd_and_ssh)
        * [apc_nmc_2_ap9619](Power_(UPS)/APC/template_apc_ups_nmc_2_ap9619)
        * [APC_agent_monitor](Power_(UPS)/APC/template_apc_windows_agent_monitor)
        * [APCUPSd](Power_(UPS)/APC/template_apcupsd)
        * [APC ATS](Power_(UPS)/APC/template_ats_ap4423)
        * [smart-ups](Power_(UPS)/APC/template_nobreak-apc-smart-ups-3000bi-br)
        * [APC_Monitor_RackPDU](Power_(UPS)/APC/template_rack_pdu)
    * [Cyberpower](Power_(UPS)/Cyberpower)
        * [Module Cyberpower RMCARD305](Power_(UPS)/Cyberpower/template_cyberpower_rmcard305(205))
    * [Eaton](Power_(UPS)/Eaton)
        * [EATON Mistral](Power_(UPS)/Eaton/template_eaton_9px_6000i_ups)
        * [Eaton ATS 230V 16A](Power_(UPS)/Eaton/template_eaton_ats_16a)
        * [Eaton ATS 230V 30A](Power_(UPS)/Eaton/template_eaton_ats_30a)
        * [Powerware9390-Pt-Br](Power_(UPS)/Eaton/template_eaton_powerware_9390_pt-br)
    * [Eaton_Powerware](Power_(UPS)/Eaton_Powerware)
        * [SNMP Eaton ATS](Power_(UPS)/Eaton_Powerware/template_eaton_ats_230v_16a)
        * [Eaton 9130](Power_(UPS)/Eaton_Powerware/template_eaton_powerware_9130)
        * [Eaton 9130](Power_(UPS)/Eaton_Powerware/template_eaton_powerware_9150)
    * [Emerson_NP](Power_(UPS)/Emerson_NP)
        * [Emerson_Liebert](Power_(UPS)/Emerson_NP/template_emerson_liebert_gxt)
        * [Emerson NXR UPS](Power_(UPS)/Emerson_NP/template_emerson_nxr_ups)
    * [Engetron](Power_(UPS)/Engetron)
        * [engetron.ups](Power_(UPS)/Engetron/template_engetron_ups)
        * [Nobreak Engetron SNMP v1](Power_(UPS)/Engetron/template_ups_engetron_wbrc-ii_snmp_v1)
    * [Entel](Power_(UPS)/Entel)
        * [ENTEL 1PH UPS](Power_(UPS)/Entel/template_entel_1_phase_ups)
        * [ENTEL 1PH UPS](Power_(UPS)/Entel/template_entel_network_manager)
    * [General_Electric](Power_(UPS)/General_Electric)
        * [UPS GE LP33 - TriPhase](Power_(UPS)/General_Electric/template_ge_lp33_triphase)
    * [HP](Power_(UPS)/HP)
        * [Monitoring PDU](Power_(UPS)/HP/template_hp_pdu_(traps))
    * [Legrand_Inform](Power_(UPS)/Legrand_Inform)
        * [HW UPS Legrand CS121](Power_(UPS)/Legrand_Inform/template_legrand_cs-121_multiphase_auto_discovery)
        * [HW UPS Legrand CS141](Power_(UPS)/Legrand_Inform/template_legrand_cs-141_multiphase_auto_discovery)
        * [Halley UPS Legrand cs121](Power_(UPS)/Legrand_Inform/template_legrand_cs_121)
        * [Raritan PDU PX3](Power_(UPS)/Legrand_Inform/template_raritan_pdu_px3)
        * [Raritan PDU](Power_(UPS)/Legrand_Inform/template_raritan_px_pdu)
    * [Liebert](Power_(UPS)/Liebert)
        * [Vertiv EXS UPS](Power_(UPS)/Liebert/template_vertiv_exs_snmp)
    * [Others](Power_(UPS)/Others)
        * [Emerson ITA](Power_(UPS)/Others/template_emerson_ita)
        * [HW myStrom ECS](Power_(UPS)/Others/template_hw_mystrom_ecs)
        * [SNMP Reillo UPS](Power_(UPS)/Others/template_snmp_reilo_ups)
        * [NetAgent UPS](Power_(UPS)/Others/template_snr-ups-onrm_netagent_ix)
        * [SOCOMEC UPS](Power_(UPS)/Others/template_socomec_netys_rt-snmp_v1)
        * [Template Module Generic SNMP](Power_(UPS)/Others/template_universal_ups_snmp_(rfc-1628))
        * [UPS Microtek MAX plus SERIES 2kVA](Power_(UPS)/Others/template_ups_microtek_max_plus_series_2kva)
    * [Powercom](Power_(UPS)/Powercom)
        * [UPSMONPro](Power_(UPS)/Powercom/template_powercom_ups_monitoring_throught_upsmon_pro_web)
        * [PowerCom](Power_(UPS)/Powercom/template_snmp_netagent_cy504_powercom)
    * [SMS](Power_(UPS)/SMS)
        * [Nobreak SMS Powerview by HTTP](Power_(UPS)/SMS/template_nobreak_sms_power_view)
    * [Tripplite](Power_(UPS)/Tripplite)
        * [SNMP Tripp Lite PDU 15](Power_(UPS)/Tripplite/template_tripplite-pdu_(updated))
        * [SNMP Tripplite WEBCARDLX](Power_(UPS)/Tripplite/template_tripplite_webcardlx)
    * [UPS_Templates](Power_(UPS)/UPS_Templates)
        * [UPS_Inform-flexipower](Power_(UPS)/UPS_Templates/template_inform_flexipower)
        * [Module UPS](Power_(UPS)/UPS_Templates/template_module_ups)
        * [UPS TRIPH - diogont](Power_(UPS)/UPS_Templates/template_network_ups-three-phase_(generic))
    * [UPS CyberPower PR1000RT2U](Power_(UPS)/template_cyberpower_ups_(remote_management_card_205))
    * [UPS Delta](Power_(UPS)/template_delta_ups)
    * [Delta UPS SNMP v1](Power_(UPS)/template_delta_ups_snmpv1)
    * [East Nobreak](Power_(UPS)/template_east_ups)
    * [Flatpack S](Power_(UPS)/template_eltek_flatpack_s)
    * [Enlogic Metered PDU](Power_(UPS)/template_enlogic_rack_pdu_2.0)
    * [HP R5000 SNMP](Power_(UPS)/template_hp_r5000_ups)
    * [Huawei UPS](Power_(UPS)/template_huawei_ups)
    * [Huawei 10K UPS](Power_(UPS)/template_huawei_ups2000)
    * [Janitza-UV](Power_(UPS)/template_janitza_uv)
    * [Liebert_GXT4_UPS](Power_(UPS)/template_liebert_gxt4_ups-unit_card_is-unity-dp_by_vertiv)
    * [SNMP Minuteman UPS](Power_(UPS)/template_minuteman_ups)
    * [Net VOLT Full Power SNMPv2](Power_(UPS)/template_net_volt_full_power_380_1u_snmpv2)
    * [UPS - diogont](Power_(UPS)/template_network_ups_(generic))
    * [Nobreak Engetron](Power_(UPS)/template_nobreak_engetron)
    * [Nobreak SMS Sinus Triphases](Power_(UPS)/template_nobreak_sms_sinus_triphases)
    * [Xanto S1500R](Power_(UPS)/template_online_usv_xanto_s1500r)
    * [PitON](Power_(UPS)/template_piton_xm20)
    * [Powertek 1 Phase PDU](Power_(UPS)/template_powertek_1-phase_pdu)
    * [Proteco](Power_(UPS)/template_proteco)
    * [Proteco](Power_(UPS)/template_proteco_1)
    * [SNMP Riello NetMan204 UPS](Power_(UPS)/template_riello_netman204_ups)
    * [SNMP Riello UPS](Power_(UPS)/template_riello_ups)
    * [Stark-3000-snmp](Power_(UPS)/template_stark_country_3000_online)
    * [SNMP Tripplite](Power_(UPS)/template_tripplite_ups)
    * [UPS - diogont](Power_(UPS)/template_ups_abb)
    * [Monitoring UPS](Power_(UPS)/template_ups_socomec_(traps))
    * [Vertiv](Power_(UPS)/template_vertiv)
    * [Vertiv](Power_(UPS)/template_vertiv_1)
    * [Vertiv](Power_(UPS)/template_vertiv_2)
    * [Vertiv](Power_(UPS)/template_vertiv_3)
    * [Vertiv](Power_(UPS)/template_vertiv_4)
* [Printers](Printers)
    * [Brother](Printers/Brother)
        * [Brother Printers](Printers/Brother/template_brother_mfc-l2700dw)
        * [Brother Printers](Printers/Brother/template_brother_monochrome_printers)
        * [Brother Printers](Printers/Brother/template_impressora_brother)
    * [Canon](Printers/Canon)
        * [Canon C5540](Printers/Canon/template_canon_c5540)
        * [Canon Color MF printers](Printers/Canon/template_canon_color_mf_printer-working)
        * [OCE ColorWave 500](Printers/Canon/template_canon_oce_colorwave_500)
    * [HP](Printers/HP)
        * [Printer HP Color LaserJet CP1515n](Printers/HP/template_hp_color_laserjet_cp1515n)
        * [Printer HP Color LaserJet CP2025dn](Printers/HP/template_hp_color_laserjet_cp2025dn)
        * [HP_Designjet_T770](Printers/HP/template_hp_designjet_t770_snmp)
        * [Printer HP Designjet Z5200](Printers/HP/template_hp_designjet_z5200)
        * [Printer HP LaserJet 3390](Printers/HP/template_hp_laserjet_3390)
        * [Printer HP OfficeJet Pro 8xxx](Printers/HP/template_hp_officejet_pro_87xx)
    * [Konica](Printers/Konica)
        * [Printer_Konica](Printers/Konica/template_konica_364_368_snmp)
        * [Konica C3110 SNMP](Printers/Konica/template_konica_minolta_3110)
    * [Kyocera](Printers/Kyocera)
        * [Kyocera Printers](Printers/Kyocera/template_ecosys_m2540x_m4132idn_m6230cidn)
        * [Color printers Kyocera](Printers/Kyocera/template_kyocera_6130_(color))
        * [Kyocera Printers](Printers/Kyocera/template_kyocera_cs6551ci-cs7052ci)
        * [KyoceraLiptonsV2](Printers/Kyocera/template_kyocera_devices_(use_snmp_v2))
        * [Kyocera Printers](Printers/Kyocera/template_kyocera_fs-1020dn,_fs-1030dn,_fs-4000dn,_fs-1060dn,_ecosys_p3055dn)
        * [IMPRESSORA - KYOCERA](Printers/Kyocera/template_kyocera_fs-km-p_series)
    * [Lexmark](Printers/Lexmark)
        * [SNMP - Lexmark MONO](Printers/Lexmark/template_-_snmp-lexmark_mx_711_dhe_e_para_todos_os_demais_modelos_deste_fabricante)
        * [SNMP - Lexmark COLOR](Printers/Lexmark/template_lexmark_generic_laser_printer-color)
        * [SNMP - Lexmark MONO](Printers/Lexmark/template_lexmark_generic_laser_printer-mono)
        * [SNMP - Lexmark CS521dn COLOR](Printers/Lexmark/template_lexmark_printer-cs521dn_(color))
        * [SNMP - Lexmark CS622de COLOR](Printers/Lexmark/template_lexmark_printer-cs622de_(color))
        * [SNMP - Lexmark CS820de COLOR](Printers/Lexmark/template_lexmark_printer-cs820de_(color))
        * [SNMP - Lexmark CS860dte COLOR](Printers/Lexmark/template_lexmark_printer-cs860dte_(color))
        * [SNMP - Lexmark CX725de COLOR](Printers/Lexmark/template_lexmark_printer-cx725de_(color))
        * [SNMP - Lexmark CX860dtfe COLOR](Printers/Lexmark/template_lexmark_printer-cx860dtfe_(color))
        * [SNMP - Lexmark CX923dxe COLOR](Printers/Lexmark/template_lexmark_printer-cx923dxe_(color))
        * [SNMP - Lexmark MS622de MONO](Printers/Lexmark/template_lexmark_printer-ms622de_(mono))
        * [SNMP - Lexmark MS826de MONO](Printers/Lexmark/template_lexmark_printer-ms826de_(mono))
    * [OKI](Printers/OKI)
        * [OKI Printer](Printers/OKI/template_es8461_mfp)
        * [OKI](Printers/OKI/template_oki_color_laser_(c...))
    * [Ricoh](Printers/Ricoh)
        * [Ricoh color printer](Printers/Ricoh/template_automatic_ordering_of_consumables_ricoh_collar_printer_japanese)
        * [Ricoh color printer](Printers/Ricoh/template_monitoring_ink_cartridge_remaining_quantity_for_ricoh_printer)
        * [Ricoh Aficio 3500SF e 3510SF](Printers/Ricoh/template_ricoh_aficio_3500sf_and_3510sf)
        * [Ricoh Printer](Printers/Ricoh/template_ricoh_aficio_mp_c3300_or_3001_printer)
        * [SNMP Ricoh Printers](Printers/Ricoh/template_ricoh_snmp_printers)
    * [Samsung](Printers/Samsung)
        * [impressoras SIMPRESS](Printers/Samsung/template_monitorar_niveis_de_toner)
        * [Printer Samsung CLP](Printers/Samsung/template_printer_samsung_clp)
        * [SAMSUNG](Printers/Samsung/template_samsung-impressora_snmp)
        * [M2020W](Printers/Samsung/template_samsung_m2020w)
        * [Printer Samsung M Series](Printers/Samsung/template_samsung_m_series)
    * [Xerox](Printers/Xerox)
        * [Printer Xerox WorkCentre 3220](Printers/Xerox/template_xerox_7220_multi_color)
        * [Printer Xerox Phaser 3610](Printers/Xerox/template_xerox_phaser_3610)
        * [Printer Xerox Phaser 3635MFP](Printers/Xerox/template_xerox_phaser_3635mfp)
        * [Printer Xerox Phaser 4622](Printers/Xerox/template_xerox_phaser_4622)
        * [Printer Xerox Phaser 6130N](Printers/Xerox/template_xerox_phaser_6130n)
        * [Printer Xerox WorkCentre 3220](Printers/Xerox/template_xerox_workcentre_3220)
        * [Printer Xerox WorkCentre 3225](Printers/Xerox/template_xerox_workcentre_3225)
        * [Printer Xerox WorkCentre 3315](Printers/Xerox/template_xerox_workcentre_3315)
        * [Printer Xerox WorkCentre 3325](Printers/Xerox/template_xerox_workcentre_3325)
        * [Printer Xerox WorkCentre 5222](Printers/Xerox/template_xerox_workcentre_5222)
        * [Printer Xerox WorkCentre 5230](Printers/Xerox/template_xerox_workcentre_5230)
        * [Printer Xerox WorkCentre 5335](Printers/Xerox/template_xerox_workcentre_5335)
        * [Printer Xerox WorkCentre 7125](Printers/Xerox/template_xerox_workcentre_7125)
        * [Printer Xerox WorkCentre 7220](Printers/Xerox/template_xerox_workcentre_7220)
        * [Printer Xerox WorkCentre 7225](Printers/Xerox/template_xerox_workcentre_7225)
        * [Printer Xerox WorkCentre 7346](Printers/Xerox/template_xerox_workcentre_7346)
        * [Printer Xerox WorkCentre 7525](Printers/Xerox/template_xerox_workcentre_7525)
        * [Printer Xerox WorkCentre 7855](Printers/Xerox/template_xerox_workcentre_7855)
    * [SNMP Device](Printers/template_dell_laserprinter)
    * [Printer HP LaserJet 5500](Printers/template_hp_lj_5500,_4700,_3600)
    * [Snmp_Impressora_LLD_VERSAO-0.1](Printers/template_impressora_lld_universal)
    * [Konica C3100P SNMP](Printers/template_konica_c3100p)
    * [Kyocera FS-4200DN](Printers/template_kyocera_fs-4200dn)
    * [Kyocera FS-C8525MFP](Printers/template_kyocera_fs-c8525mfp)
    * [Kyocera TASKalfa 3051ci](Printers/template_kyocera_taskalfa_3051ci)
    * [Printer Panasonic KX-MB2051RU](Printers/template_panasonic_kx-mb2051ru)
    * [Printer_Panasonic_KX-MB2540](Printers/template_panasonic_kx-mb2540_snmp)
    * [Printer_Panasonic_KX-MC6020RU](Printers/template_panasonic_kx-mc6020_snmp)
    * [MFP Ricoh](Printers/template_ricoh_color_mfp)
    * [brother Printers s](Printers/template_s_brother_printers)
    * [Sharp Printers](Printers/template_sharp_printer-c301w_and_mx-2640)
    * [Printer Xerox WorkCentre 6605DN](Printers/template_xerox_workcentre_6605dn)
* [SCADA_IoT_Energy_Home_Automation_Industrial_monitoring](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring)
    * [Cooling](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Cooling)
        * [Airco pCOWeb](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Cooling/template_airco_pcoweb)
        * [APC InRow Cooling](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Cooling/template_apc_inrow_cooling_snmp)
        * [SBR01](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Cooling/template_sbr01_controller)
    * [Monitoring_Equipment](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment)
        * [AKCP](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_akcp_sensorprobe)
        * [netbotzAP9340](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_apc_netbotz_ap9340)
        * [APC NetBotz Rack Monitor 250](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_apc_netbotz_monitor_2xx)
        * [SNMP APC NetBotz Rack Monitor 200](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_apc_netbotz_rack_monitor_200)
        * [SNMP - ServerCheck.com - SensorGateway](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_check-sensorgateway)
        * [DCM SE-10](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_dcm_se-10_2.0_snmp)
        * [DCM SE-10](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_dcm_se-10_snmp)
        * [DCM SW-10](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_dcm_sw-10_snmp)
        * [DCM SW-11-DSP](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_dcm_sw-11-dsp)
        * [DCM SW-8](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_dcm_sw-8_snmp)
        * [HWg-STE](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_hwg-ste_probe)
        * [ITWatchDog 15](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_it_watchdog_15)
        * [NatureRemo](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_natureremo)
        * [schneider_pm8ecc](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_schneider_pm8ecc_pm800)
        * [DCM SE-10](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_se-10_sw-10-dcm_tech)
        * [SNMP - ServerCheck.com - SensorGateway](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_serverscheck_sensorgateway)
        * [TCW122B-WD](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_teracom_tcw122b-wd)
        * [watchdog.environment.monitor.Geist1250](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_vertiv_geist_watchdog_1200s)
        * [Volt Pop Protect SNMP](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_volt_pop_protect_snmp)
        * [Volt Pop Protect SNMP](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/Monitoring_Equipment/template_volt_pop_protect_snmp-4.0)
    * [Discovery Audemat](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/template_audemat_fm_monitor)
    * [RoomAlert 3E](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/template_avtech_room_alert_3e)
    * [Fronius Solar](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/template_fronius_device)
    * [LANTRONIX-UDS1100](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/template_lantronix_uds1100)
    * [tx Hitachi EC704MP](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/template_tx_hitachi_ec704mp)
    * [transmissor-screen-nxt-151-general](SCADA_IoT_Energy_Home_Automation_Industrial_monitoring/template_tx_screen_nxt-151)
* [Server_Hardware](Server_Hardware)
    * [Cisco](Server_Hardware/Cisco)
        * [Cisco-UCS](Server_Hardware/Cisco/template_cisco_ucs)
        * [Cisco UCS Standalone SNMP](Server_Hardware/Cisco/template_cisco_ucs_standalone_hw_monitoring)
        * [IPMI Cisco UCS-C220 Server hardware](Server_Hardware/Cisco/template_ipmi_cisco_ucs-c220_server_hardware)
        * [Cisco UCS Standalone SNMP](Server_Hardware/Cisco/template_standalone_cisco_ucs_server_snmp)
    * [Dell](Server_Hardware/Dell)
        * [Dell iDrac SNMPV2](Server_Hardware/Dell/template_dell_idrac)
        * [Dell iDrac SNMPV2](Server_Hardware/Dell/template_dell_idrac(chinese))
        * [SNMP-iDRAC-9](Server_Hardware/Dell/template_dell_idrac_9_snmp)
        * [UNISIM_IPMI_Dell_PowerEdge_1950](Server_Hardware/Dell/template_dell_poweredge_1950_ipmi)
        * [UNISIM_IPMI_Dell_PowerEdge_2900](Server_Hardware/Dell/template_dell_poweredge_2900_ipmi)
        * [IPMI Dell PowerEdge C6220](Server_Hardware/Dell/template_dell_poweredge_c6220_ipmi)
        * [IPMI Dell PowerEdge R415](Server_Hardware/Dell/template_dell_poweredge_r415_ipmi)
        * [IPMI Dell PowerEdge R715](Server_Hardware/Dell/template_dell_poweredge_r715_ipmi)
        * [UNISIM_IPMI_Dell_PowerEdge_T300](Server_Hardware/Dell/template_dell_poweredge_t300_ipmi)
        * [IPMI_Dell_PowerEdge_T310](Server_Hardware/Dell/template_dell_poweredge_t310_ipmi)
        * [UNISIM_IPMI_Dell_PowerEdge_T320](Server_Hardware/Dell/template_dell_poweredge_t320_ipmi)
        * [UNISIM_IPMI_Dell_PowerEdge_T420](Server_Hardware/Dell/template_dell_poweredge_t420_ipmi)
        * [UNISIM_IPMI_Dell_PowerEdge_T620](Server_Hardware/Dell/template_dell_poweredge_t620_ipmi)
        * [IPMI Dell PowerEdge 2950](Server_Hardware/Dell/template_ipmi_dell_poweredge_2950)
        * [IPMI Dell PowerEdge R510](Server_Hardware/Dell/template_ipmi_dell_poweredge_r510)
    * [Fujitsu_Siemens](Server_Hardware/Fujitsu_Siemens)
        * [IPMI Fujitsu RX2530 M2](Server_Hardware/Fujitsu_Siemens/template_ipmi_rx2530)
    * [H3C](Server_Hardware/H3C)
        * [H3C_basic_monitoring](Server_Hardware/H3C/template_for_h3c_hdm_1.30.x)
        * [H3C_basic_momitoring_G2](Server_Hardware/H3C/template_for_h3c_r4900_g2)
        * [H3C_RackServer_monitor](Server_Hardware/H3C/template_h3c_rackserver_monitor)
    * [HP](Server_Hardware/HP)
        * [IPMI HP DL360p Gen8](Server_Hardware/HP/template_dl360p_gen8)
        * [bl7000_EN](Server_Hardware/HP/template_hp_c7000_chassis)
        * [IPMI_HP320eG8](Server_Hardware/HP/template_hp_dl320e_gen8_ipmi_(ilo4))
        * [SNMP-HP-iLO5](Server_Hardware/HP/template_hp_ilo_5_snmp)
        * [ILO ProLiant DL380p Gen8](Server_Hardware/HP/template_hp_ilo_proliant_dl380p_gen8)
        * [HP_SNMP_Autodiscovery](Server_Hardware/HP/template_hp_server_snmp_autodiscovery)
        * [IPMI HP ProLiant XL420 Gen9](Server_Hardware/HP/template_hp_xl420_gen9)
        * [IPMI HP BL460c Gen8](Server_Hardware/HP/template_ipmi_hp_bl460c_g8)
        * [IPMI HP DL380p Gen9 without Drives](Server_Hardware/HP/template_ipmi_hp_dl380p_g9_without_drives_only)
        * [HP iLO100i IPMI](Server_Hardware/HP/template_server_hp_ilo100i_ipmi)
    * [Huawei](Server_Hardware/Huawei)
        * [Huawei Server iBMC](Server_Hardware/Huawei/template_huawei_rh5885h_v3)
        * [VLAN L2 Huawei](Server_Hardware/Huawei/template_vlan_l2_huawei)
    * [IBM_and_Lenovo](Server_Hardware/IBM_and_Lenovo)
        * [Lenovo Flex chassis](Server_Hardware/IBM_and_Lenovo/template_lenovo_flex_snmpv3)
    * [Inspur](Server_Hardware/Inspur)
        * [Server Inspur BMC All Items 4 Zabbix5.0](Server_Hardware/Inspur/template_inspur_server_for_zabbix_5.0)
        * [Server Inspur BMC SNMPv3](Server_Hardware/Inspur/template_inspur_server_snmpv3)
        * [Server Inspur BMC SNMPv3](Server_Hardware/Inspur/template_inspur_server_snmpv3_1)
    * [Intel](Server_Hardware/Intel)
        * [Intel QuickSync GPU metrics](Server_Hardware/Intel/template_intel_quicksync_gpu_metrics)
        * [Server Intel S5500BC IPMI](Server_Hardware/Intel/template_intel_s5500bc_ipmi)
        * [IPMI Intel RMM3](Server_Hardware/Intel/template_ipmi_intel_rmm3)
        * [IPMI Intel S2400SC](Server_Hardware/Intel/template_ipmi_intel_s2400sc_bmc_integrated)
    * [Other](Server_Hardware/Other)
        * [Blank AMD](Server_Hardware/Other/template_amd_monitoring_for_multiple_gpus)
        * [IPMI ASUS ASMB4](Server_Hardware/Other/template_ipmi_asus_asmb4-ikvm_asmb4-sol)
        * [MD Soft RAID](Server_Hardware/Other/template_md_raid)
        * [NVidia Sensors](Server_Hardware/Other/template_nvidia-smi_integration)
        * [SNMP XSCF Sun M5000](Server_Hardware/Other/template_snmp_sun_m5000_xscf)
        * [Sensors D2500CC](Server_Hardware/Other/template_zabbix-agent_d2500cc)
        * [Sensors DN2800MT](Server_Hardware/Other/template_zabbix-agent_dn2800mt)
    * [RAID_Cards](Server_Hardware/RAID_Cards)
        * [Adaptec PS](Server_Hardware/RAID_Cards/template_adaptec_microsemi_using_arcconf)
        * [Intel RST with js](Server_Hardware/RAID_Cards/template_intel_rst_(intel_vroc))
        * [SNMP MegaRAID SAS](Server_Hardware/RAID_Cards/template_lsi_avago_broadcom_megaraid_sas_snmp)
        * [LSI JSON discovery](Server_Hardware/RAID_Cards/template_lsi_avago_broadcom_using_json_outputs_of_storcli)
    * [SGI](Server_Hardware/SGI)
        * [UNISIM_IPMI_SGI_Altix_C2108-G9](Server_Hardware/SGI/template_sgi_altix_c2108-g9_ipmi)
        * [UNISIM_IPMI_SGI_Altix_C2112-4G10](Server_Hardware/SGI/template_sgi_altix_c2112-4g10)
        * [UNISIM_IPMI_SGI_Altix_C2112-GP2](Server_Hardware/SGI/template_sgi_altix_c2112-gp2_ipmi)
        * [UNISIM_IPMI_SGI_Altix_H2106-G7](Server_Hardware/SGI/template_sgi_altix_h2106-g7_ipmi)
        * [UNISIM_IPMI_SGI_Altix_ISS3114](Server_Hardware/SGI/template_sgi_altix_iss3114_ipmi)
    * [Supermicro](Server_Hardware/Supermicro)
        * [IPMI - Supermicro - X10DRW-E](Server_Hardware/Supermicro/template_ipmi-supermicro-x10drw-e)
        * [IPMI Supermicro H8DGT](Server_Hardware/Supermicro/template_ipmi_supermicro_h8dgt)
        * [IPMI Supermicro SYS-5018D](Server_Hardware/Supermicro/template_ipmi_supermicro_sys-5018d-mtf)
        * [IPMI Supermicro SYS-5019S-L](Server_Hardware/Supermicro/template_ipmi_supermicro_sys-5019s-l)
        * [IPMI Supermicro SYS-6028R-TR](Server_Hardware/Supermicro/template_ipmi_supermicro_sys-6028r-tr)
        * [IPMI SuperMicro X10DRT-H](Server_Hardware/Supermicro/template_ipmi_supermicro_x10drt-h)
        * [IPMI Supermicro X10SLL-F](Server_Hardware/Supermicro/template_ipmi_supermicro_x10sll-f)
        * [IPMI Supermicro X10SRL-F](Server_Hardware/Supermicro/template_ipmi_supermicro_x10srl-f)
        * [IPMI Supermicro X10SRM-TF](Server_Hardware/Supermicro/template_ipmi_supermicro_x10srm-tf)
        * [IPMI Supermicro X8DTL-3F](Server_Hardware/Supermicro/template_ipmi_supermicro_x8dtl-3f)
        * [IPMI Supermicro X9DBL](Server_Hardware/Supermicro/template_ipmi_supermicro_x9dbl-if)
        * [IPMI Supermicro X9DRL-7F-BO](Server_Hardware/Supermicro/template_ipmi_supermicro_x9drl-7f-bo)
        * [IPMI Supermicro X9DRT](Server_Hardware/Supermicro/template_ipmi_supermicro_x9drt)
        * [IPMI Supermicro X9DRL-7F-BO](Server_Hardware/Supermicro/template_ipmi_supermicro_x9scl-f-b)
        * [IPMI Supermicro X9SCLX9SCM](Server_Hardware/Supermicro/template_ipmi_supermicro_x9scl_x9scm)
        * [IPMI Supermicro X9SRI-F](Server_Hardware/Supermicro/template_ipmi_supermicro_x9sri)
        * [IPMI Supermicro A1SAM-2750F](Server_Hardware/Supermicro/template_supermicro_a1sam-2750f_(ipmi))
        * [Supermicro SNMP Superdoctor 5 LLD](Server_Hardware/Supermicro/template_supermicro_snmp_superdoctor_5_lld)
        * [IPMI SuperMicro X9DRD-7LN4F](Server_Hardware/Supermicro/template_supermicro_x9drd-7ln4f)
        * [IPMI SuperMicro](Server_Hardware/Supermicro/template_zabbix_2.2_ipmi_supermicro_5017a-ef_(and_other_atom_cpu))
    * [Tyan](Server_Hardware/Tyan)
        * [IPMI Tyan S5532](Server_Hardware/Tyan/template_ipmi_tyan_s5532)
    * [IPMI Dell PowerEdge M610](Server_Hardware/template_dell_poweredge_m610)
    * [Module Generic SNMPv2 to Fuji Eternus](Server_Hardware/template_fujitsu_eternus_dx60_s3)
    * [Module Generic SNMPv2 to Fuji IRMC](Server_Hardware/template_fujitsu_primergy_rx2530_m2)
    * [Gemalto SafeNet Luna SNMPv3](Server_Hardware/template_gemalto_luna_hsm_snmpv3)
    * [H3C_basic_monitoring](Server_Hardware/template_h3c_zabbix_snmp_monitoring)
    * [IPMI Gigabyte 6PXSV4](Server_Hardware/template_ipmi_gigabyte_6pxsv4)
    * [App MSSQL 2008-2016 WSFC](Server_Hardware/template_mssql_2008-2016_multi_instance_with_wsfc_(autodiscovery))
    * [Sugon_RackServer_monitor](Server_Hardware/template_sugon_rackserver_monitor)
* [Storage_Devices](Storage_Devices)
    * [Buffalo](Storage_Devices/Buffalo)
        * [TeraStation SNMPV2](Storage_Devices/Buffalo/template_buffalo_terastation_hs-dhtgl_r5_monitoring_snmp_v2)
        * [Buffalo TeraStation TS4500R](Storage_Devices/Buffalo/template_buffalo_terastation_ts4500r)
    * [Dell](Storage_Devices/Dell)
        * [DELL POWERVAULT TL2000](Storage_Devices/Dell/template_dell_powervault)
    * [EMC](Storage_Devices/EMC)
        * [SNMP EMC Isilon Cluster](Storage_Devices/EMC/template_emc_isilon_onefs_snmp)
        * [EMC Unity REST-API v3](Storage_Devices/EMC/template_emc_unity)
        * [VNX_monitoring_and_reporting](Storage_Devices/EMC/template_emc_vnx_monitoring&reporting_2.x)
    * [FreeNAS](Storage_Devices/FreeNAS)
        * [SNMP FreeNAS 11](Storage_Devices/FreeNAS/template_freenas_11_snmp)
        * [SNMP FreeNAS](Storage_Devices/FreeNAS/template_truenas_freenas_snmp_w_zfs_stats)
    * [Fujitsu](Storage_Devices/Fujitsu)
        * [Fujitsu Primequest 3800E](Storage_Devices/Fujitsu/template_primequest_3800e)
    * [HP](Storage_Devices/HP)
        * [3par_monitoring](Storage_Devices/HP/template_3par-7200_use_toolkit_for_hpe_3par_)
        * [HPE 3PAR SMI-S for shareZabbix](Storage_Devices/HP/template_hp_3par)
        * [TELNET_HP_StorageWorks](Storage_Devices/HP/template_hp_msa_(telnet_xml)_(nolld))
    * [Hitachi](Storage_Devices/Hitachi)
        * [Hitachi_DF_DiskArray_monitor](Storage_Devices/Hitachi/template_hitachi_df_diskarray_monitor)
        * [Hitachi_DiskArray_monitor](Storage_Devices/Hitachi/template_hitachi_diskarray_monitor)
    * [Huawei](Storage_Devices/Huawei)
        * [Huawei_DiskArray_monitor](Storage_Devices/Huawei/template_huawei_diskarray_monitor)
        * [Huawei OceanStor Rest-API v2](Storage_Devices/Huawei/template_huawei_oceanstore)
    * [IBM](Storage_Devices/IBM)
        * [IBM-Storwize-3700 CLI v2](Storage_Devices/IBM/template_ibm_storwize_v3700)
        * [IBM SW 7k](Storage_Devices/IBM/template_ibm_storwize_v7000)
    * [Lenovo_EMC](Storage_Devices/Lenovo_EMC)
        * [IOMEGA ix4-200d](Storage_Devices/Lenovo_EMC/template_iomega_x4-200d)
        * [Lenovo EMC PX4-200d](Storage_Devices/Lenovo_EMC/template_lenovo_emc_px4-200d)
        * [Lenovo EMC PX4-300d](Storage_Devices/Lenovo_EMC/template_lenovo_emc_px4-300d)
        * [Lenovo ix4-200d](Storage_Devices/Lenovo_EMC/template_lenovo_ix4-200d)
        * [Lenovo ix4-300d](Storage_Devices/Lenovo_EMC/template_nas_lenovo_iomega_ix4-300d)
        * [Storage Lenovo ix4-300d](Storage_Devices/Lenovo_EMC/template_nas_lenovo_ix4-300d)
    * [NetAPP](Storage_Devices/NetAPP)
        * [NETAPP_FAS_ONTAP_9.1](Storage_Devices/NetAPP/template_netapp_ontap_9.1)
        * [SNMP NetApp cDot](Storage_Devices/NetAPP/template_netapp_ontap_9.5)
        * [Module Netapp OS](Storage_Devices/NetAPP/template_netapp_ontap_=_9.5)
    * [Oracle](Storage_Devices/Oracle)
        * [SNMP Oracle SL3000](Storage_Devices/Oracle/template_oracle_storagetek_sl3000_modular_library_system_snmp)
        * [SNMP Tape Library Oracle StorageTek SL150](Storage_Devices/Oracle/template_tape_library_oracle_storagetek_sl150)
    * [QNAP](Storage_Devices/QNAP)
        * [SNMP QNAP](Storage_Devices/QNAP/template_qnap_(snmpv2))
        * [SNMP QNAP NAS](Storage_Devices/QNAP/template_zabbix_2.2_qnap_nas_snmp)
        * [SNMP QNAP NAS](Storage_Devices/QNAP/template_zabbix_3.0_qnap_nas_snmp)
        * [SNMP QNAP NAS](Storage_Devices/QNAP/template_zabbix_3.4_qnap_nas_snmp)
        * [SNMP QNAP NAS](Storage_Devices/QNAP/template_zabbix_4.2_qnap_nas_snmp)
    * [QSAN](Storage_Devices/QSAN)
        * [SNMP QSAN XS3224 Storage](Storage_Devices/QSAN/template_qsan_xs3224)
    * [ReadyNAS](Storage_Devices/ReadyNAS)
        * [SNMP ReadyNas 3200](Storage_Devices/ReadyNAS/template_readynas_3200_snmp)
        * [SNMP ReadyNAS](Storage_Devices/ReadyNAS/template_readynas_monitor_via_snmp)
        * [SNMP ReadyNas](Storage_Devices/ReadyNAS/template_snmp_readynas)
        * [SNMP ReadyNAS Tega](Storage_Devices/ReadyNAS/template_snmp_readynas_tega)
        * [SNMP ReadyNas](Storage_Devices/ReadyNAS/template_zabbix_2.2_readynas_snmp)
    * [Synology](Storage_Devices/Synology)
        * [Halley Synology NAS Backup](Storage_Devices/Synology/template_synology_backup_using_lld)
        * [Synology DiskStation](Storage_Devices/Synology/template_synology_diskstation)
        * [Synology DiskStation](Storage_Devices/Synology/template_synology_diskstation_snmpv3)
        * [Zshare Synology Cluster](Storage_Devices/Synology/template_synology_dsm_6.2_cluster_monitoring)
    * [MIB Asustor](Storage_Devices/template_asustor_storage_devices)
    * [SNMP AvidNEXIS-MIB](Storage_Devices/template_avid_nexis)
    * [Huawei Storage OceanStor](Storage_Devices/template_oceanstore_huawei_2600)
    * [Other - NeoXL](Storage_Devices/template_overland-tandberg_neoxl_tape_libary)
    * [SNMP Pivot3](Storage_Devices/template_pivot3_vstac_monitoring)
    * [Stornext Quota](Storage_Devices/template_quantum_stornext_quotas_webapi)
    * [Seagate Pro NAS DP6](Storage_Devices/template_seagate_nas_pro_6-bay)
    * [Storage NBU 5240 SNMP Trap](Storage_Devices/template_storage_nbu_5240_snmp_trap)
    * [Huawei Storage OceanStor 5500 LLD V](Storage_Devices/template_storage_oceanstor_5500)
    * [Net Tintri SNMP](Storage_Devices/template_tintri_storage_snmp)
    * [WD My Cloud EX4](Storage_Devices/template_wd_my_cloud_ex4)
    * [Storage XSKY XMS by HTTP](Storage_Devices/template_xsky_sds)
* [Telephony](Telephony)
    * [PBX](Telephony/PBX)
        * [3CX Services Linux](Telephony/PBX/template_3cx_services_linux)
        * [Asterisk](Telephony/PBX/template_asterisk)
        * [Cisco AXL MGCP monitoring](Telephony/PBX/template_cucm_axl_e1_callactive)
        * [Cisco AXL DataBase Replication status](Telephony/PBX/template_cucm_database_replication_state)
        * [Cisco AXL License data](Telephony/PBX/template_cucm_licenserequest)
        * [Cisco AXL Feature Service Status](Telephony/PBX/template_cucm_servicestatus)
        * [ISION](Telephony/PBX/template_leucotron_ision)
        * [Mitel MiVoice Business](Telephony/PBX/template_mitel_mivoice_business)
        * [Mitel MiVoice Office 250](Telephony/PBX/template_mitel_mivoice_office_250)
        * [s 3CX ODBC](Telephony/PBX/template_s_3cx_odbc)
        * [Siemens HiPATH](Telephony/PBX/template_siemens_hipath)
        * [aa Siemens Hipath](Telephony/PBX/template_siemens_hipath_3k_lld_discovery)
        * [Yeastar S300](Telephony/PBX/template_yeastar_s100_s300_trunk_monitoring)
    * [Phones](Telephony/Phones)
        * [16 GammuSMS](Telephony/Phones/template_gammu)
    * [Voice_Gateways](Telephony/Voice_Gateways)
        * [VoIP IPSLA Discovery](Telephony/Voice_Gateways/template_cisco_sla_udp-jitter)
        * [Eltex SMG SNMPv2](Telephony/Voice_Gateways/template_eltex_smg)
        * [Eltex TAU SNMPv2](Telephony/Voice_Gateways/template_eltex_tau)
        * [Grandstream HT813 SNMPv2](Telephony/Voice_Gateways/template_grandstream_ht813_snmpv2)
    * [Freeswitch](Telephony/template_freeswitch)
    * [Kamailio](Telephony/template_kamailio_stats)
    * [Mimosa C5c by Dzset](Telephony/template_mimosa_c5c)
    * [SNMP Geral](Telephony/template_snmp_geral)
    * [SNMP Interfaces](Telephony/template_snmp_interfaces_com)
* [Unsorted](Unsorted)
    * [ARP Monitoring](Unsorted/template_arp_monitoring_and_rogue_network_devices_detection)
    * [Auto fuzzytime trigger for Zabbix proxy](Unsorted/template_automatic_fuzzytime_trigger_for_zabbix_proxy)
    * [Humidity and temperature sensor brrr.cz](Unsorted/template_brrr.cz_sensors)
    * [MBTC Trading](Unsorted/template_btc_trading)
    * [calix](Unsorted/template_calix_interface_graphs)
    * [DEVA SmartGen 6](Unsorted/template_deva_smartgen_6)
    * [Octopus NET DD Bridge satelite mon](Unsorted/template_digital_devices_octopus_net)
    * [1wire-temperature-probe](Unsorted/template_ds18b20_&_raspberrypi_(1wire))
    * [Hikvision](Unsorted/template_hikvision_nvr)
    * [Security Cameras - HikVision](Unsorted/template_improved_hikvision_camera)
    * [iNode-Sense](Unsorted/template_inode_psense_in_russian)
    * [Monitoring MCS](Unsorted/template_mcs_hp)
    * [Dahua Video Camera](Unsorted/template_module_dahua_video_camera)
    * [Module Generic SNMPv3](Unsorted/template_module_generic_snmpv3)
    * [Module Interfaces Simple SNMPv3](Unsorted/template_module_interfaces_simple_snmpv3)
    * [Noisypeak Live encoders](Unsorted/template_noisypeak_live_encoders)
    * [Fiberhome](Unsorted/template_olt_fiber_homer-pon1_a_pon8)
    * [LDAP](Unsorted/template_openldap-cluster-zabbix)
    * [SNMP ORBAN8700-MIB - orban](Unsorted/template_orban_8700i)
    * [QCT Hardware Health](Unsorted/template_qct_server_snmpv2_fan_control)
    * [Scopus IRD-2900 SNMP Sensors](Unsorted/template_scopus_ird-2900)
    * [Sensor ProDigital Term-1Net](Unsorted/template_sensor_prodigital_term-1net)
    * [Sonicwall SNMP - TZ600](Unsorted/template_sensor_temp_e_umidade)
    * [Shelly-1PM](Unsorted/template_shelly_1pm_via_http)
    * [Asustor NAS](Unsorted/template_snmp_asustor_nas)
    * [Status](Unsorted/template_status)
    * [TCP-state-count bulkget](Unsorted/template_tcp_state_count_on_linux)
    * [Aero-1000 SNMP](Unsorted/template_telos_alliance_aero_snmp)
    * [SNMP Telos ZIPStream-X2](Unsorted/template_telos_z_ip_stream_x2)
    * [ZBX-ESP-ENV](Unsorted/template_temperature_and_humidity_monitoring_for_zabbix_using_esp8266_and_dht11_sensors)
    * [Windows ICMP Macro Discovery Active](Unsorted/template_windows_icmp_macro_discovery_active)
* [Virtualization](Virtualization)
    * [Docker](Virtualization/Docker)
        * [App Docker swarm](Virtualization/Docker/template_docker_swarm_monitoring)
        * [Harbor](Virtualization/Docker/template_harbor_services_status)
    * [Kubernetes](Virtualization/Kubernetes)
        * [Kube by Prom API](Virtualization/Kubernetes/template_zabbix-kube-prom)
    * [Proxmox](Virtualization/Proxmox)
        * [Proxmox Services](Virtualization/Proxmox/template_proxmox_5.x_services_monitoring)
    * [VMware](Virtualization/VMware)
        * [Virt VMware Hypervisor ESXi - Andre Bello](Virtualization/VMware/template_hypervisor_esxi_vmware_datastore_monitoring)
        * [Virt VMware Hypervisor](Virtualization/VMware/template_improved_virt_vmware_hypervisor)
        * [vCenter_SNMP-VMWARE_VCSA_6.7](Virtualization/VMware/template_snmp_check_for_vcenter_6.7_(vcsa_6.7))
        * [SNMP-VMWARE-Supervision_SNMPv2_vCenter](Virtualization/VMware/template_snmp_check_vcenter)
        * [vCenter_SNMP-VMWARE_VCSA_6.5](Virtualization/VMware/template_snmp_check_vcenter_(vcsa_6.5))
        * [Template VM VMware](Virtualization/VMware/template_vmware_esx)
        * [VM VMware UUID ESXi Standalone](Virtualization/VMware/template_vmware_uuid_esxi_standalone)
        * [VM VMware UUID VM Standalone](Virtualization/VMware/template_vmware_uuid_vm_standalone)
    * [..Docker.OSLinux.ShortTermContainers](Virtualization/template_docker)
